
GLMRoassal2Easel subclass: #A4BPGLMRoassal2Easel
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-GLM-Roassal'!

!A4BPGLMRoassal2Easel commentStamp: '<historical>' prior: 0!
An A4BPGLMRoassal2Easel is a representation of glamour for a4bp, using the basic view for glamour to facilitate the process of visualization.
!

!A4BPGLMRoassal2Easel methodsFor: 'building' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 16:12'!
buildBrowser
	browser := GLMTabulator new.
	self setTitleOf: browser.
	browser
		row:[ :rm |
		rm 
			column: #RTBuilder span:2;
			column: [ :cm |
			cm  
				row: #result span: 2;
				row: [ :r |  
					r
					column: #script span: 3;
					column: #variables span: 2 ].
			] span:6.
		].
			
	
	browser transmit
		to: #RTBuilder;
		andShow: [ :a | self rtBuilderIn: a ].
	
	browser transmit
		to: #script;
		andShow: [ :a | self scriptIn: a ].
	browser transmit
		to: #variables;
		andShow: [ :a | self variablesIn: a ].
	browser transmit
		to: #result;
		fromOutsidePort: #entity;
		from: #script;
		from: #RTBuilder;
		andShow: [ :a | self resultIn: a ].
	^ browser! !

!A4BPGLMRoassal2Easel methodsFor: 'building' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 17:46'!
defaultScriptDisplayIn: aPresentation
	^ aPresentation
		display: 'view';
		morphicAct: [ :text | RTExampleBrowser new open ]
			icon: GLMUIThemeExtraIcons glamorousExample
			entitled: 'Browse basic examples'! !

!A4BPGLMRoassal2Easel methodsFor: 'building' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 16:12'!
defaultTitle
	^ 'Roassal2 Easel'! !

!A4BPGLMRoassal2Easel methodsFor: 'private' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 16:12'!
evaluate: script in: context for: view
"we expect that view is a instance of RTMondrianViewBuilder"
	| message |
	^ [ (Smalltalk compiler requestor: self) evaluate: script in: context to: context ]
		on: Error
		do: [ :e | 
			|mb|
			mb := RTMondrianViewBuilder new.
			message := e class name , ': ' , e messageText.
			self inform: message.
			mb view: view view.
			mb shape label color: Color red lighter; withText .
			mb node: message ]! !

!A4BPGLMRoassal2Easel methodsFor: 'building' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 16:12'!
resultIn: a
	^ a roassal2
		title: 'View';
		painting: [ :view :bindings :script :rtbuilder :glmR2| 
					| context b|
					rtbuilder ifNil:[ rtbuilder := RTMondrianViewBuilder].
					b := rtbuilder  new.
					b view: view.
					context := GLMDoItContext with: #view -> b withAll: bindings.
					self evaluate: script in: context for: b.
					b build.]! !

!A4BPGLMRoassal2Easel methodsFor: 'building' stamp: 'AlvaroJosePeraltaOcampo 4/2/2015 18:49'!
rtBuilderIn: a
	^ a list display:[ |lst|
		lst := OrderedCollection new.
		lst add: RTView.
		lst add: RTMondrian.
		lst add: RTGrapher.
		lst add: RTCityBuilder.
		lst add: RTNameCloud.
		lst add: RTAnimatedScatterPlot.
		lst add: RTDoubleBarBuilder.
		lst add: RTKiviatBuilder.
		lst add: RTCircularTreeMapBuilder.
		lst
		].! !

Object subclass: #A4BPTblItem
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization-Controller'!

A4BPTblItem subclass: #A4BPTblItemReflexion
	instanceVariableNames: 'obj message'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization-Controller'!

!A4BPTblItemReflexion class methodsFor: 'builder' stamp: 'AlvaroJosePeraltaOcampo 3/3/2015 13:17'!
build: aObj message: aMsg
	| newObj |
	newObj := self new.
	newObj obj: aObj.
	newObj message: aMsg.
	^ newObj! !

!A4BPTblItemReflexion methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/3/2015 13:17'!
accept: bpObj
	^ obj accept: bpObj ! !

!A4BPTblItemReflexion methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/3/2015 13:17'!
asString
	^ self message! !

!A4BPTblItemReflexion methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/3/2015 13:17'!
evaluate
	^ (obj perform: message)! !

!A4BPTblItemReflexion methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/3/2015 13:17'!
getChildrenNodes
	^ obj getChildrenNodes! !

!A4BPTblItemReflexion methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/3/2015 13:17'!
message
	^ message! !

!A4BPTblItemReflexion methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/3/2015 13:17'!
message: aMessage
	message := aMessage ! !

!A4BPTblItemReflexion methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/3/2015 13:17'!
obj
	^ obj! !

!A4BPTblItemReflexion methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/3/2015 13:17'!
obj: aObj
	obj := aObj! !

Object subclass: #A4BPUIBVFactory
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI-Builder'!

!A4BPUIBVFactory class methodsFor: 'factories' stamp: 'AlvaroJosePeraltaOcampo 3/3/2015 12:32'!
R2Visitor
	^ A4BPUIBPModelR2BuilderVisitor new.! !

!A4BPUIBVFactory class methodsFor: 'factories' stamp: 'AlvaroJosePeraltaOcampo 3/3/2015 12:33'!
RTBitmapVisitor
	^ A4BPUIBPModelRTBitmapBuilderVisitor new.! !

!A4BPUIBVFactory class methodsFor: 'factories' stamp: 'AlvaroJosePeraltaOcamop 6/9/2015 11:13'!
color
	^ self colorVisitor! !

!A4BPUIBVFactory class methodsFor: 'factories' stamp: 'AlvaroJosePeraltaOcampo 3/3/2015 12:32'!
colorVisitor
	^ A4BPUIBPModelColorBuilderVisitor new.! !

!A4BPUIBVFactory class methodsFor: 'factories' stamp: 'AlvaroJosePeraltaOcamop 6/9/2015 11:13'!
icon
	^ self iconVisitor! !

!A4BPUIBVFactory class methodsFor: 'factories' stamp: 'AlvaroJosePeraltaOcampo 3/30/2015 13:18'!
iconVisitor
	^ A4BPUIBPModelIconBuilderVisitor instance! !

Object subclass: #A4BPUIGLM
	instanceVariableNames: 'browser nodeOrganizer'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI'!

!A4BPUIGLM class methodsFor: 'open' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:02'!
open: model
	^ self new open: model! !

!A4BPUIGLM methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:02'!
buildBrowser
	browser := GLMTabulator new.
	^ browser! !

!A4BPUIGLM methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:02'!
open: model
	nodeOrganizer := model.
	self buildBrowser.
	(browser openOn: self organizer) maximize! !

!A4BPUIGLM methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:02'!
organizer
	^ nodeOrganizer! !

A4BPUIGLM subclass: #A4BPUIMain
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI'!

!A4BPUIMain class methodsFor: 'test-open' stamp: 'AlvaroJosePeraltaOcamop 3/30/2015 20:01'!
exampleOpen
	| aSOAAnalyzer aSOAContext parser processModel|
	aSOAAnalyzer := A4BPSOAAnalyzer instance.
	aSOAContext := A4BPSOAContext new.
	parser := BPMN20Parser parseString: BPSimImplementerGuidev1_0_2Test tecnicalSupportProcessV1_0_1_bpmn.
	processModel := parser definitions first.
	aSOAContext addElement:processModel.
	aSOAAnalyzer addSOAContext: aSOAContext.
	A4BPUIMain open: aSOAAnalyzer! !

!A4BPUIMain methodsFor: 'open' stamp: 'AlvaroJosePeraltaOcamop 3/30/2015 23:04'!
buildBrowser
	browser := GLMTabulator new.	
	"add the column in a glamour browser"
	browser title: A4BPUII18n msg msgSOAAnalyzerPanel.
	browser column: #BrowsePerspective.
	browser transmit
		to: #BrowsePerspective;
		andShow: [ :a | 
			A4BPUIGLMBuilder allSubclassesDo: [ :builderClass | 
				builderClass buildBrowserIn: a] 
			].
	^ browser! !

!A4BPUIMain methodsFor: 'open' stamp: 'AlvaroJosePeraltaOcampo 3/30/2015 14:36'!
initialize
	nodeOrganizer := A4BPSOAContext new.! !

!A4BPUIMain methodsFor: 'open' stamp: 'AlvaroJosePeraltaOcamop 3/30/2015 23:00'!
open: model
	nodeOrganizer := model.
	self buildBrowser.
	(browser openOn: self organizer) maximize! !

!A4BPUIMain methodsFor: 'open' stamp: 'AlvaroJosePeraltaOcampo 3/30/2015 14:36'!
organizer
	^ nodeOrganizer! !

A4BPUIGLM subclass: #BPUIMetricVisualization
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI-metric'!

!BPUIMetricVisualization commentStamp: 'AlvaroJosePeraltaOcampo 4/7/2014 19:28' prior: 0!
A BPUICodeNavigator is glamour implementation to view the 
soa xml implementation in a path.

Instance Variables
	browser:		<Object>

browser
	- xxxxx
!

!BPUIMetricVisualization class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/21/2015 11:56'!
go
	BPUIMetricVisualization open: A4BPSOAAnalyzer instance.! !

!BPUIMetricVisualization class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/17/2015 19:17'!
menuCommandOn: aBuilder 
	<worldMenu> 
	(aBuilder item: #'MetricVisualization')
			"icon: A4BPUIIcons mainIcon;"
			parent:#'A4BP';
			action:[self go];
			label:'Metric Visualization';
			help: 'Show a easy interface to explore the metrics in the objects'.! !

!BPUIMetricVisualization methodsFor: 'glamour-examples' stamp: 'AlvaroJosePeraltaOcampo 4/26/2014 01:43'!
actionsFor: aPresentation
	| actions |
	aPresentation isMultiple
		ifTrue: [ actions := aPresentation selection ifNil: [ OrderedCollection new ] ]
		ifFalse: [ actions := OrderedCollection with: aPresentation selection ].
	^ actions
		collect: [ :i | 
			GLMGenericAction new
				action: [ :each | self inform: 'Menu - Item' , i printString ];
				title: 'Menu - Item' , i printString;
				yourself ]! !

!BPUIMetricVisualization methodsFor: 'glamour-builder' stamp: 'AlvaroJosePeraltaOcampo 4/26/2014 11:32'!
buildBrowser
	browser := GLMTabulator new.	"add the column in a glamour browser"
	browser
		row: [ :c | 
					c
						column: #allSOAModels;
						addColumn: #view span: 3 ];
		row: [ :c | 
					c
						column: #tpObj;
						column: #width;
						column: #heigth;
						column: #alpha ].
	browser transmit
		to: #allSOAModels;
		andShow: [ :a | self displaySOAModelsIn: a ].
	browser transmit
		to: #tpObj;
		from: #allSOAModels;
		andShow: [ :a | self displaylstClassTypeIn: a ].
	browser transmit
		to: #width;
		from: #tpObj;
		andShow: [ :a | self displayMetricIn: a title: 'width' ].
	browser transmit
		to: #heigth;
		from: #tpObj;
		andShow: [ :a | self displayMetricIn: a title: 'heigth' ].
	browser transmit
		to: #alpha;
		from: #tpObj;
		andShow: [ :a | self displayMetricIn: a title: 'alpha' ].
	browser transmit
		to: #view;
		from: #allSOAModels;
		from: #tpObj;
		from: #width;
		from: #heigth;
		from: #alpha;
		andShow: [ :a | self displayViewCanvasIn: a ].
	^ browser! !

!BPUIMetricVisualization methodsFor: 'glamour-builder' stamp: 'AlvaroJosePeraltaOcampo 4/26/2014 02:31'!
childrenOf: rootPackage on: organizer
	^ rootPackage getChildrenNodes! !

!BPUIMetricVisualization methodsFor: 'glamour-builder-display' stamp: 'AlvaroJosePeraltaOcampo 4/29/2014 09:22'!
displayMetricIn: constructor title: aTitle
	constructor list
		title: aTitle;
		display: [ :org | self lstOfMessageFrom: org ];
		format: #name! !

!BPUIMetricVisualization methodsFor: 'glamour-builder-display' stamp: 'AlvaroJosePeraltaOcamop 5/21/2015 01:14'!
displaySOAModelsIn: constructor
	| actiontreev |
	"build the list of options base on the selected element"
	actiontreev := A4BPUIGLMRClick new.
	constructor tree
		title: 'SOA Models';
		children: [ :root :childs | self childrenOf: root on: childs ];
		icon: [ :el |  el accept: A4BPUIBVFactory iconVisitor ];
		format: #name.
	^ constructor! !

!BPUIMetricVisualization methodsFor: 'glamour-builder-display' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 15:15'!
displayViewCanvasIn: constructor
	constructor roassal2
		title: 'view';
		painting: [ :view :obj :tpObj :one :two :three |
			self 
			executeVisualization: view 
			obj:obj 
			tpObj:tpObj 
			methods:(Array with:one with:two with:three).
		].
	^ constructor! !

!BPUIMetricVisualization methodsFor: 'glamour-builder-display' stamp: 'AlvaroJosePeraltaOcamop 5/21/2015 01:21'!
displaylstClassTypeIn: constructor
	constructor list
		title: 'Element Types';
		display: [ :org | 
					| lstClass |
					lstClass := Dictionary new.
					org getChildrenNodes do: [ :k | 
						|ct|
						ct := (BPUIMetricClassType build: k class).
						ct := lstClass at: (ct key) ifAbsent:[ lstClass at: ct key put: ct].
						ct elements add:k.
					].
					lstClass ];
		format: #name! !

!BPUIMetricVisualization methodsFor: 'glamour-builder-display' stamp: 'AlvaroJosePeraltaOcamop 5/21/2015 01:38'!
evaluate: element with: method
	|value methodName|
	methodName := method messageType.
	value := [element perform: methodName] on:Error do:[0].
	value = 0 ifTrue:[value := 1].
	^ value! !

!BPUIMetricVisualization methodsFor: 'glamour-builder-display' stamp: 'AlvaroJosePeraltaOcamop 5/21/2015 01:44'!
executeVisualization: view  obj:obj  tpObj:tpObj  methods: methods
	| action mondrian one two three|
	mondrian := RTMondrian new.
	mondrian view:view.
	
	one := methods at:1.
	two := methods at:2.
	three := methods at:3.
	
	action := BPUIMetricVizActionInClass new.
	action rootObj: obj.
	"Find the nodes to show base on the Element type selected"
	tpObj new accept: action.
	
	"Execute the vizualization"			
	mondrian shape rectangle
		width: [ :o | self evaluate: o with:one ];
		height: [ :o | self evaluate: o with: two ];
		fillColor: [ :o | Color gray alpha: (1 / (self evaluate: o with: three))].
	mondrian nodes: action nodes.
	
	mondrian build.
! !

!BPUIMetricVisualization methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 17:29'!
initialize
	nodeOrganizer := A4BPSOAContext new.! !

!BPUIMetricVisualization methodsFor: 'glamour-builder-display' stamp: 'AlvaroJosePeraltaOcamop 5/21/2015 01:30'!
lstOfMessageFrom: org
	| messageNames metricMessageTypes|
	messageNames := BPUIMetricFindMetricMessageNames findMetrics: org classType.
	metricMessageTypes := messageNames collect:[:m | BPUIMetricMessageType build:m].
	^ metricMessageTypes! !

!BPUIMetricVisualization methodsFor: 'glamour-builder' stamp: 'AlvaroJosePeraltaOcampo 10/30/2014 01:00'!
open: model
	nodeOrganizer := model.
	self buildBrowser.
	(browser openOn: self organizer) maximize! !

!BPUIMetricVisualization methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/26/2014 01:54'!
organizer
^ nodeOrganizer! !

Object subclass: #A4BPUIGLMBuilder
	instanceVariableNames: 'mainBrowser'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI'!

!A4BPUIGLMBuilder class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/30/2015 15:42'!
buildBrowserIn: constructor
	^ self new buildBrowserIn: constructor! !

!A4BPUIGLMBuilder methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/30/2015 15:30'!
buildBrowserIn: constructor
	^ constructor! !

A4BPUIGLMBuilder subclass: #A4BPUIProcessNavigator
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI'!

!A4BPUIProcessNavigator methodsFor: 'glamour-examples' stamp: 'AlvaroJosePeraltaOcampo 3/30/2015 15:31'!
actionsFor: aPresentation
	| actions |
	aPresentation isMultiple
		ifTrue: [ actions := aPresentation selection ifNil: [ OrderedCollection new ] ]
		ifFalse: [ actions := OrderedCollection with: aPresentation selection ].
	^ [actions
		collect: [ :i | 
			GLMGenericAction new
				action: [ :each | self inform: 'Menu - Item' , i printString ];
				title: 'Menu - Item' , i printString;
				yourself ]]on:Error do:[].! !

!A4BPUIProcessNavigator methodsFor: 'glamour-builder' stamp: 'AlvaroJosePeraltaOcampo 3/30/2015 15:31'!
bpProcessIn: constructor
"
old presentation
------------------------------------
constructor list
	display:[:org|org allBPProcess];
	format:#asString.
------------------------------------
"
constructor tree
	display:[:org|org];
	children:[:rootPackage :org | (self childrenOf:rootPackage on:org)];
	format:#asString.


	
! !

!A4BPUIProcessNavigator methodsFor: 'as yet unclassified' stamp: 'SergeStinckwich 5/2/2016 16:24'!
buildBrowserIn: browser
	| tab |
	mainBrowser := browser.
	tab := browser tabulator.
	tab title:'Business Processes'.
	tab
		column: #ModelPerspective;
		column: #AnalyzerModels span: 5.	"set what information must be to show"
	tab transmit
		to: #ModelPerspective;
		andShow: [ :a | self displayTreeNodesIn: a ].
	tab transmit
		to: #AnalyzerModels;
		from: #ModelPerspective;
		andShow: [ :a :model| self displayAnalysisIn: a ].
	^ browser! !

!A4BPUIProcessNavigator methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/30/2015 13:53'!
childrenOf: rootPackage on: organizer
	rootPackage ifNotNil: [ ^ rootPackage getChildrenNodes ].
	^ A4BPEmptyObj instance getChildrenNodes! !

!A4BPUIProcessNavigator methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcamop 3/30/2015 23:51'!
displayAnalysisIn: constructor
	constructor finder
		title: [ :a | a name ];
		show: [ :a | 
					self displayVisualizationIn: a.
					self displayTableOfMetricsIn: a.
					"self displayTreeNodesIn: a ."
					self displaySourceIn: a].
	^ constructor! !

!A4BPUIProcessNavigator methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/30/2015 14:03'!
displayElementIn: constructor
	constructor finder
		title: [ :a | a name ];
		show: [ :a | 
					self displayLstOfVisualizationIn: a.
					self displayTableOfMetricsIn: a.
					self displayTreeNodesIn: a .
					self displaySourceIn: a].
	^ constructor! !

!A4BPUIProcessNavigator methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/30/2015 15:34'!
displayFindeAnalysisIn: constructor
	constructor finder
		title: [ :a | a name ];
		show: [ :a | 
					self displaySOAContextVisualizationIn: a.
					self displaySOAContextTableMetricsIn: a.
					self displaySOAContextTreeNodesIn: a .
					self displaySOASourceIn: a].
	^ constructor! !

!A4BPUIProcessNavigator methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/30/2015 14:05'!
displaySourceIn: a
	| glm |
	glm := a text.
	glm 
		titleIcon: GLMUIThemeExtraIcons glamorousGrayCircle;
		display: [ :org | 
					[ org xml ]
						on: Error
						do: [ 'Error' ] ]! !

!A4BPUIProcessNavigator methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/1/2015 10:36'!
displayTableOfMetricsIn: a
	| glm |
	glm := a table.
	glm title: 't'.
	glm titleIcon: GLMUIThemeExtraIcons glamorousBrowse.
	glm
		display: [ :org | self lstOfMetricMessagesFrom: org ];
		column: [ :org | 'Metrics' ] evaluated: #asString;
		column: 'Value' evaluated: [ :org | org evaluate ]	"display tree with all children of the node"! !

!A4BPUIProcessNavigator methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:54'!
displayTreeNodesIn: constructor
	| actiontreev |
	"build the list of options base on the selected element"
	actiontreev := A4BPUIGLMRClick new.
	actiontreev mainBrowser: mainBrowser.
	constructor tree
		title: A4BPUII18n msg msgModels;
		display: [ :org | org displayA4BPElements];
		children: [ :rootPackage :org | self childrenOf: rootPackage on: org ];
		icon: [ :el |  el accept: A4BPUIBVFactory iconVisitor ];
		"Show menu"
		act: [ :b |  self openSystemFileExplorer. b update ]
		icon: A4BPUIIcons openIcon
		entitled: A4BPUII18n msg msgOpenNewSOAContext;
		dynamicActionsOnSelection: [ :b |b selection accept: actiontreev];
		format: #label.
	^ constructor! !

!A4BPUIProcessNavigator methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 12:19'!
displayVisualizationIn: a
	| glm |
	glm := a tabulator.
	glm title:A4BPUII18n msg msgVisualization.
	glm titleIcon: Smalltalk ui icons glamorousInspect.
	glm
		column: #lstOfVisualization span:2;
		column: #theview span:6.
	glm transmit
		to: #lstOfVisualization;
		andShow: [ :aa | self displaylstOfVisualizationIn: aa ].
	glm transmit
		to: #theview;
		from: #lstOfVisualization;
		andShow: [ :glmc :viewBuilder | 
					(glmc ~= nil and: viewBuilder ~= nil)
						ifTrue: [ 
							viewBuilder executeVisualizationOnGLMC: glmc.
							glmc text 
							title: 'Code';
							display: [ :dis | 
								|method|
								method := viewBuilder class methods 
								select:[:m | m selector = #executeVisualization:].
								method := method first.
								method asString
								];
							allowNil.
						] 
		]	"glmc-> glamourComposite"! !

!A4BPUIProcessNavigator methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcamop 6/2/2015 23:44'!
displaylstOfVisualizationIn: constructor
	" show as a list the visualization available in the BPVCBuilder list depent of object model selected"

	| aBPVCBuilder |
	aBPVCBuilder := A4BPVCBuilder new.
	constructor list
		title: A4BPUII18n msg msgVisualization;
		display: [ :org | 
					| dis |
					org class = LinkedList
						ifTrue: [ dis := org first ];
						ifFalse: [ dis := org ].
					[dis accept: aBPVCBuilder ]
						on: Error
						do: [  ] ];
		dynamicActionsOnSelection: [ :list | 
					| act lst |
					lst := OrderedCollection new.
					act := GLMGenericAction new
						action: [ list selection class browse ];
						title: A4BPUII18n msg msgSource.
					lst add: act.
					lst ];
		format: #name.
	^ constructor! !

!A4BPUIProcessNavigator methodsFor: 'glamour-builder-display' stamp: 'AlvaroJosePeraltaOcamop 5/21/2015 01:29'!
lstOfMetricMessagesFrom: aModel
	| lstMsg messagesNames |
	lstMsg := OrderedCollection new.
	messagesNames := BPUIMetricFindMetricMessageNames findMetrics: aModel class.
	messagesNames do: [ :msg | lstMsg add: (A4BPTblItemReflexion build: aModel message: msg) ].
	^ lstMsg! !

!A4BPUIProcessNavigator methodsFor: 'open' stamp: 'AlvaroJosePeraltaOcamop 3/31/2015 00:24'!
openSystemFileExplorer
	| f answer aSOAContext aSOAAnalyzer |
	f := MorphicUIManager new.
	answer := f chooseDirectory.
	answer ifNotNil:[
		aSOAAnalyzer := A4BPSOAAnalyzer instance.
		aSOAContext := A4BPSOAContext createBaseOnPath: answer.
		aSOAAnalyzer addSOAContext: aSOAContext
	]! !

Object subclass: #A4BPUII18n
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-I18n'!

A4BPUII18n class
	instanceVariableNames: 'instance'!

A4BPUII18n class
	instanceVariableNames: 'instance'!

!A4BPUII18n class methodsFor: 'singleton' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 08:12'!
instance
	"Mark as a default the english language"
	instance ifNil: [ instance := A4BPUII18n_en new ].
	^ instance! !

!A4BPUII18n class methodsFor: 'singleton' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msg
	^ self instance! !

!A4BPUII18n class methodsFor: 'singleton' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:44'!
reset
	"self reset"
	instance := nil! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
defaultmsg
	^ ''! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgBPCopyName
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgBPFromName
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgBPSequenceName
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgBPToName
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgBrowser
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgDelete
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msgBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:36'!
msgEndEvent
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgInRoassal2Easel
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgInRoassalEasel
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgInspect
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgInstrumentate
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgInstrumentations
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 3/30/2015 13:57'!
msgModels
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgOpenNewSOAContext
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 12:44'!
msgProcess
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgRelations
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgSOAAnalyzerPanel
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgSOAModel
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgSOAModels
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgSource
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msgBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:42'!
msgStartEvent
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgStartInstrumentationListener
	^ self defaultmsg! !

!A4BPUII18n methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:30'!
msgVisualization
	^ self defaultmsg! !

A4BPUII18n subclass: #A4BPUII18n_en
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-I18n'!

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgBPCopyName
	^ 'Copy'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgBPFromName
	^ 'From'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgBPSequenceName
	^ 'Sequence'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgBPToName
	^ 'To'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgBrowser
	^ 'Browser'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgDelete
	^ 'Delete'! !

!A4BPUII18n_en methodsFor: 'msgBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:36'!
msgEndEvent
	^ 'EndEvent'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgInRoassal2Easel
	^ 'In Roassal 2 Easel'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgInRoassalEasel
	^ 'In Roassal Easel'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgInspect
	^ 'Inspect'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgInstrumentate
	^ 'Instrument'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgInstrumentations
	^ 'Instrumentations'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 3/30/2015 13:58'!
msgModels
	^ 'Models'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgOpenNewSOAContext
 ^ 'Open new SOA Context'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 12:36'!
msgProcess
	^ 'Process'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgRelations
	^ 'Relations'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgSOAAnalyzerPanel
 ^ 'SOA Analyzer Panel'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgSOAModel
 ^ 'SOA Model'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgSOAModels
 ^ 'SOA Models'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgSource
	^ 'Source'! !

!A4BPUII18n_en methodsFor: 'msgBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:33'!
msgStartEvent
	^ 'StartEvent'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgStartInstrumentationListener
	^ 'Start Listener'! !

!A4BPUII18n_en methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:31'!
msgVisualization
	^ 'Visualization'! !

A4BPUII18n subclass: #A4BPUII18n_es
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-I18n'!

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgBPCopyName
	^ 'Copiar'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgBPFromName
	^ 'Desde'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgBPSequenceName
	^ 'Secuencia'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgBPToName
	^ 'Para'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgBrowser
	^ 'Browser'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgDelete
	^ 'Eliminar'! !

!A4BPUII18n_es methodsFor: 'msgBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:36'!
msgEndEvent
	^ 'EventoFin'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgInRoassal2Easel
	^ 'En Roassal 2 Easel'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgInRoassalEasel
	^ 'En Roassal Easel'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgInspect
	^ 'Inspeccionar'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgInstrumentate
	^ 'Instrumentar'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgInstrumentations
	^ 'Instrumentaciones'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 3/30/2015 13:58'!
msgModels
	^ 'Modelos'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgOpenNewSOAContext
 ^ 'Abrir un nuevo contexto SOA'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 12:36'!
msgProcess
	^ 'Procesos'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgRelations
	^ 'Relaciones'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgSOAAnalyzerPanel
 ^ 'Panel Analizador SOA'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgSOAModel
 ^ 'Modelo SOA'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgSOAModels
 ^ 'Modelos SOA'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgSource
	^ 'Fuente'! !

!A4BPUII18n_es methodsFor: 'msgBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:42'!
msgStartEvent
	^ 'EventoInicio'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgStartInstrumentationListener
	^ 'Iniciar Escuchador'! !

!A4BPUII18n_es methodsFor: 'msg' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 07:32'!
msgVisualization
	^ 'Visualización'! !

Object subclass: #A4BPUIIcons
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI'!

A4BPUIIcons class
	instanceVariableNames: 'icons'!

A4BPUIIcons class
	instanceVariableNames: 'icons'!

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
bpelAnalyzerIcon
	^ self icons
		at: #bpelAnalyzerIcon ifAbsentPut: [(Form
	extent: 16@16
	depth: 32
	fromArray: #( 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4279764580 4279764580 4294967295 4294909727 4294909727 4294967295 4294967295 4294967295 4294923605 4294923605 4294967295 4294967295 4294967295 4294923605 4294923605 4294967295 4279764580 4279764580 4294967295 4294909727 4294909727 4294967295 4294967295 4294967295 4294923605 4294923605 4294967295 4294967295 4294967295 4294923605 4294923605 4294967295 4279764580 4279764580 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4279764580 4279764580 4294967295 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4294967295 4279764580 4279764580 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4279764580 4279764580 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4279764580 4279764580 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4279764580 4279764580 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4279764580 4279764580 4294967295 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4294967295 4279764580 4279764580 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4279764580 4279764580 4294967295 4294923605 4294923605 4294967295 4294967295 4294967295 4294923605 4294923605 4294967295 4294967295 4294967295 4294923605 4294923605 4294967295 4279764580 4279764580 4294967295 4294923605 4294923605 4294967295 4294967295 4294967295 4294923605 4294923605 4294967295 4294967295 4294967295 4294923605 4294923605 4294967295 4279764580 4279764580 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580)
	offset: 0@0)]! !

!A4BPUIIcons class methodsFor: 'generator' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
genIconBaseOnPath: aFullPath
	| image stream sbgen |
	sbgen := ''.
	image := ColorForm fromFileNamed: aFullPath.
	stream := WriteStream with: String new.
	image storeOn: stream.
	sbgen := '
	self icons
		at: #putIconKey ifAbsentPut: [' , stream contents asString , ']'.
	^ sbgen.
	! !

!A4BPUIIcons class methodsFor: 'iconsBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 22:59'!
iconBPMN20Activity
	^ 
	self icons
		at: #iconBPMN20Activity ifAbsentPut: [(Form
	extent: (20@20)
	depth: 32
	fromArray: #( 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294506487 4294638072 4294703865 4294769401 4294769401 4294769401 4294769401 4294769401 4294769401 4294769401 4294769401 4294769401 4294769401 4294769401 4294769401 4294769401 4294638072 4294440951 4294440951 4294572536 4294375415 4291286243 4289642967 4289577431 4289577431 4289577431 4289577431 4289643223 4289708759 4289708760 4289708760 4289708760 4289708760 4289774552 4289774808 4289445846 4291549413 4294309622 4294703608 4294506744 4289248467 4286097101 4286559193 4286756572 4286624987 4286428122 4286362328 4286230742 4286099157 4285902035 4285770450 4285573073 4285376207 4285244621 4285047243 4284784843 4284321468 4289708761 4294243830 4292797675 4286950865 4287348965 4288598768 4288335598 4288138477 4287941355 4287809768 4287612391 4287415269 4287152611 4286954976 4286626270 4286429147 4286166233 4285837526 4285640404 4285180112 4285307330 4292009191 4292731627 4286819793 4287415013 4288533233 4288269806 4288072684 4287875562 4287678184 4287481063 4287283684 4287020769 4286757855 4286560477 4286297562 4286034391 4285771477 4285508562 4285048783 4284979137 4291877862 4292731627 4286819793 4287283685 4288467440 4288138477 4287941355 4287743977 4287546854 4287349476 4287086306 4286823648 4286560733 4286297563 4286034904 4285837526 4285574354 4285311441 4284917198 4284978880 4291877862 4292731627 4286819793 4287217892 4288335854 4287941355 4287810026 4287612647 4287349733 4287152354 4286889184 4286626269 4286428891 4286165977 4285903062 4285640148 4285377233 4285179855 4284720077 4284913344 4291877862 4292731883 4286754001 4287086308 4288204269 4287875561 4287678184 4287415269 4287152355 4286955233 4286757854 4286494684 4286231768 4285968854 4285705941 4285508562 4285245647 4284982477 4284522955 4284847552 4291943399 4292797419 4286754256 4287020514 4288072684 4287743720 4287546598 4287283684 4287086305 4286757855 4286494941 4286297562 4286034647 4285771733 4285508818 4285245904 4285048525 4284785612 4284456905 4284847295 4291943399 4292797419 4286688464 4286889185 4287941354 4287546855 4287349476 4287086306 4286889440 4286626268 4286363355 4286100440 4285837525 4285574355 4285311441 4285114062 4284851404 4284654026 4284259783 4284847295 4291943655 4292797419 4286688207 4286757600 4287809769 4287349733 4287152355 4286954976 4286692062 4286428890 4286165976 4285903062 4285574612 4285442769 4285179855 4284916941 4284654283 4284522696 4284128454 4284716223 4291943655 4292797419 4286622671 4286691806 4287612647 4287217891 4287020769 4286757855 4286494684 4286297305 4285968856 4285705941 4285508562 4285245647 4284982989 4284785611 4284588233 4284390855 4283996870 4284781759 4291943655 4292731883 4286491342 4286494684 4287481061 4287020769 4286757855 4286560477 4286297561 4286034391 4285771733 4285574099 4285311440 4285048526 4284851148 4284588234 4284391112 4284259526 4283931077 4284650174 4291943399 4293257967 4286490057 4286033878 4287415526 4287218404 4286889697 4286560990 4286363611 4286034904 4285771990 4285509076 4285246160 4284983246 4284851405 4284588491 4284456904 4284391368 4283338429 4285504194 4292600811 4294638072 4291352291 4285438659 4283205048 4283139256 4283007927 4282942135 4282876598 4282810805 4282745012 4282679220 4282547634 4282547634 4282481841 4282416049 4282350512 4281759149 4284780989 4291418084 4294506743 4294440951 4294309366 4293783539 4293520881 4293520881 4293520881 4293520881 4293520881 4293455345 4293455345 4293455345 4293455345 4293455346 4293455346 4293455346 4293455346 4293455345 4293718002 4294243830 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294769916 4294769916 4294769916 4294769916 4294769916 4294769916 4294769916 4294769916 4294769916 4294769916 4294769916 4294769916 4294769916 4294769916 4294769916 4294769916 4294769916 4294769916 4294769916 4294769916)
	offset: (0@0))]
! !

!A4BPUIIcons class methodsFor: 'iconsBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/9/2014 09:15'!
iconBPMN20DataStoreReferenceImpl
	^ self icons
		at: #iconBPMN20DataStoreReferenceImpl ifAbsentPut: [(Form
	extent: (20@20)
	depth: 32
	fromArray: #( 4294638330 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294769916 4294638330 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294769916 4294638330 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294769916 4294638330 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294769916 4294638330 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294901759 4294967295 4294967295 4294901758 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294769916 4294638330 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4291555549 4287880376 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294769916 4294638330 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294569972 4288202415 4284400785 4294041576 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294835709 4294703866 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4291621086 4283672702 4284650876 4287683766 4294967295 4294901759 4294967295 4294967295 4294967295 4294967295 4294967295 4294901245 4294704122 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4293852918 4287349927 4285765765 4286493079 4286227086 4291688675 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294901501 4294769658 4294967295 4294967295 4294901759 4294967295 4294963961 4289580990 4284922512 4286683790 4288268977 4289317561 4286754712 4285636745 4287157422 4294107369 4294967295 4294901758 4294967295 4294967295 4294967037 4294769659 4294967295 4294967295 4294967295 4291489500 4283286665 4284131714 4286159497 4288400819 4290757825 4290888129 4289317562 4286558616 4284781949 4283286664 4287945912 4294967295 4294967295 4294967295 4294967037 4294769658 4294967295 4294967295 4294967295 4294049014 4290633165 4286034837 4283473527 4287473818 4289451200 4290431169 4287808169 4285043581 4284067973 4289777087 4293064941 4294967295 4294967295 4294967295 4294901501 4294704122 4294967295 4294967295 4294967295 4294967295 4294966270 4293653231 4290045132 4286359954 4287473819 4287940012 4286552204 4288337079 4293064172 4294768377 4294967295 4294967295 4294967295 4294967295 4294901501 4294638330 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4289454534 4283604600 4285437314 4285843871 4294705150 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294835709 4294638330 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4293192679 4286100373 4284395655 4291089612 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294835452 4294638330 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294966527 4289387715 4284730006 4294965759 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294769916 4294638330 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4293983221 4292867562 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294769916 4294638330 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294769916 4294638330 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294769916 4294638330 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294769916)
	offset: (0@0))]

! !

!A4BPUIIcons class methodsFor: 'iconsBPMN20' stamp: 'AlvaroJosePeraltaOcamop 6/5/2015 10:50'!
iconBPMN20Definitions
	^ 
	self icons
		at: #iconBPMN20Definitions ifAbsentPut: [(Form
	extent: (20@20)
	depth: 32
	fromArray: #( 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4290432498 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4289642983 4294440951 4294440951 4294440951 4294440951 4294440951 4283466985 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4281098955 4292664540 4294440951 4294440951 4294440951 4294440951 4283137766 4294704639 4294704639 4294704383 4294441983 4294245119 4294704639 4294704639 4294704639 4294704639 4284580153 4284580153 4284580153 4294704639 4280836040 4289506476 4294440951 4294440951 4294440951 4294440951 4282874851 4294704639 4280635001 4280635001 4280635001 4293982463 4294704639 4294704639 4294704639 4284580153 4290307962 4292341944 4290307962 4284580153 4280572869 4289506476 4294440951 4294440951 4294440951 4294440951 4282874851 4280635001 4288467184 4291685116 4288467184 4280635001 4282269246 4282269246 4282269246 4284580153 4288994397 4288994397 4288994397 4284580153 4280572869 4289506476 4294440951 4294440951 4294440951 4294440951 4282874851 4280635001 4283996612 4283996612 4283996612 4280635001 4294704639 4294704639 4294704639 4294704639 4284580153 4284580153 4284580153 4294704639 4280572869 4289506476 4294440951 4294440951 4294440951 4294440951 4282677472 4294704639 4280635001 4280635001 4280635001 4282269246 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4280375234 4289506476 4294440951 4294440951 4294440951 4294440951 4282677472 4294704639 4294704639 4294704639 4294704639 4294704639 4282269246 4294704639 4294704639 4293453279 4283713845 4293453279 4294704639 4294704639 4280375234 4289506476 4294440951 4294440951 4294440951 4294440951 4282480092 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4282269246 4293453279 4283713845 4294436550 4283713845 4293453279 4294704639 4280047038 4289506476 4294440951 4294440951 4294440951 4294440951 4282480092 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4283713845 4294038165 4294038165 4294038165 4283713845 4294704639 4280047038 4289506476 4294440951 4294440951 4294440951 4294440951 4282217177 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4293453279 4283713845 4293508712 4283713845 4293453279 4294704639 4279914940 4289506476 4294440951 4294440951 4294440951 4294440951 4282217177 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4293453279 4283713845 4293453279 4294704639 4294704639 4279914940 4289506476 4294440951 4294440951 4294440951 4294440951 4282217177 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4279914940 4289506476 4294440951 4294440951 4294440951 4294440951 4289840362 4281362383 4281099211 4280836040 4280836040 4280836040 4280572869 4280309953 4280309953 4280309953 4280309953 4280046783 4279849404 4279652025 4285893039 4289506476 4294440951 4294440951 4294440951 4294440951 4294440951 4292664540 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4292664540 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951)
	offset: (0@0))]
! !

!A4BPUIIcons class methodsFor: 'iconsBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:17'!
iconBPMN20EndEvent
	^ self icons
		at: #iconBPMN20EndEvent
		ifAbsentPut: [ 
			Form
				extent: 20 @ 20
				depth: 32
				fromArray:
					#(4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294572280 4294703865 4294835194 4294900986 4294835450 4294769658 4294703865 4294506744 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294506744 4294638073 4293257710 4291351520 4289839572 4288853453 4289050574 4290233815 4291811812 4293915123 4294703865 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294572280 4294178037 4290036950 4287013311 4286684605 4286815934 4286816191 4286816191 4286750398 4286553020 4287539139 4291351519 4294835450 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4293652209 4288393417 4286224315 4287670726 4288065225 4288262090 4288328139 4288328139 4288196554 4288064969 4287342019 4285961401 4289773779 4294375415 4294440951 4294440951 4294440951 4294440951 4294440951 4294375159 4288327624 4286355899 4288262346 4288064969 4287144900 4286159037 4285567417 4285698746 4286421950 4287473606 4288130762 4288130761 4286092985 4289839572 4294769658 4294440951 4294440951 4294440951 4294638073 4289773779 4285764279 4288328139 4287802055 4286750658 4289182934 4292140781 4293915899 4293587192 4291417831 4287999436 4287013571 4288064969 4288065225 4286092986 4291417312 4294703865 4294440951 4294572536 4293126382 4286027192 4287802055 4287802312 4287210949 4291023332 4293324021 4291548387 4290036179 4290299350 4292206058 4293192437 4289445591 4286947778 4288130762 4287276227 4287867589 4293915123 4294506744 4294835450 4290102486 4286158521 4288262347 4287210692 4289840347 4293192436 4288063676 4283394693 4281290603 4281619311 4284381328 4290101970 4293192692 4287933900 4287473605 4287933640 4286750142 4292074726 4294638072 4294967035 4287736004 4287210434 4288064969 4287276485 4292798451 4290233555 4282737020 4281093481 4281224810 4281224810 4281093224 4284578450 4292468973 4291286246 4286290621 4288196554 4286684349 4290694107 4294703865 4294967292 4286026936 4287868103 4287933640 4287342278 4294507263 4287011502 4281356396 4281290603 4281290603 4281290603 4281159274 4281619311 4290957021 4293521398 4285567417 4288393675 4286553020 4289642451 4294769658 4294967292 4285829814 4287933640 4287933640 4287342279 4294704383 4286748330 4281290603 4281290603 4281290603 4281290603 4281224810 4281290604 4290890972 4293718520 4285501624 4288393675 4286487484 4289576658 4294769658 4294967036 4287341761 4287342019 4287999433 4287276486 4293258486 4289641675 4282276982 4281224811 4281290603 4281290603 4281093225 4283855242 4292206057 4291746538 4286158780 4288196554 4286618813 4290496729 4294703865 4294900986 4289576659 4286355899 4288196554 4287276485 4290891746 4293126641 4286748330 4282408312 4281290603 4281422189 4283197570 4288984261 4293521142 4288722642 4287210692 4287999176 4286750398 4291811555 4294638073 4294638072 4292534505 4285830070 4287999433 4287604934 4287539400 4292206573 4293192434 4290036431 4287537331 4287932088 4291022554 4293389813 4290497504 4286684865 4288130762 4287473348 4287473347 4293520624 4294506744 4294440951 4294506744 4288787916 4286092986 4288328139 4287539142 4287407815 4290629089 4293126901 4294704383 4294375935 4292535280 4289314262 4287144900 4287867848 4288196554 4286224314 4290628314 4294638073 4294440951 4294440951 4294506743 4293783538 4287473347 4286619069 4288328139 4287736263 4287210948 4286947779 4286881987 4286881987 4287013572 4287276485 4287933641 4288262346 4286224570 4288919245 4294375159 4294506743 4294440951 4294440951 4294440951 4294440951 4292995053 4287473091 4286158779 4287999433 4288196554 4288130761 4288064969 4288065225 4288130762 4288327883 4287670726 4285698487 4288787660 4293915380 4294506744 4294440951 4294440951 4294440951 4294440951 4294440951 4294506744 4293717746 4288787916 4285961399 4286487228 4287341763 4287802311 4287736518 4287079105 4286158521 4286290106 4290234071 4294638073 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294506744 4294572536 4292534761 4289774036 4287736004 4286290106 4286553020 4288262088 4290496986 4293454832 4294703865 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294638073 4294835450 4294967035 4294967292 4294967292 4294966779 4294835194 4294572536 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951)
				offset: 0 @ 0 ]! !

!A4BPUIIcons class methodsFor: 'iconsBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 17:41'!
iconBPMN20ExclusiveGateway
	^ self icons
		at: #iconBPMN20ExclusiveGateway
		ifAbsentPut: [ 
			Form
				extent: 16 @ 16
				depth: 32
				fromArray:
					#(0 0 0 0 0 0 520093696 536870912 33554432 16777216 0 0 0 0 0 0 0 0 0 0 0 520093696 3305111552 3338665984 721420288 100663296 16777216 0 0 0 0 0 0 0 0 0 520093696 3305111552 838860800 1006632960 3456106496 805306368 100663296 16777216 0 0 0 0 0 0 0 520093696 3305111552 838860800 469762048 402653184 855638016 3439329280 805306368 100663296 16777216 0 0 0 0 0 520093696 3305111552 838860800 469762048 335544320 117440512 117440512 805306368 3439329280 805306368 100663296 16777216 0 0 0 520093696 3305111552 838860800 704643072 2332033024 184549376 50331648 838860800 1711276032 855638016 3456106496 805306368 100663296 16777216 0 520093696 3305111552 838860800 469762048 335544320 2768240640 2801795072 1006632960 3758096384 1056964608 369098752 855638016 3439329280 805306368 100663296 16777216 3238002688 1291845632 486539264 335544320 117440512 167772160 3070230528 4278190080 1275068416 536870912 318767104 167772160 1258291200 3388997632 318767104 83886080 3271557120 1442840576 452984832 150994944 16777216 855638016 3791650816 3170893824 3003121664 570425344 184549376 33554432 1107296256 3372220416 520093696 201326592 721420288 3456106496 905969664 150994944 285212672 3758096384 1157627904 738197504 2952790016 2415919104 251658240 553648128 3321888768 956301312 520093696 201326592 83886080 805306368 3439329280 805306368 117440512 452984832 452984832 436207616 369098752 687865856 805306368 3338665984 838860800 486539264 335544320 83886080 16777216 100663296 805306368 3439329280 805306368 201326592 201326592 117440512 67108864 654311424 3338665984 872415232 469762048 335544320 117440512 16777216 0 16777216 100663296 805306368 3439329280 805306368 117440512 16777216 520093696 3321888768 838860800 469762048 335544320 117440512 16777216 0 0 0 16777216 100663296 805306368 3439329280 805306368 603979776 3321888768 838860800 469762048 335544320 117440512 16777216 0 0 0 0 0 16777216 100663296 805306368 3439329280 3388997632 905969664 469762048 335544320 117440512 16777216 0 0 0 0 0 0 0 16777216 100663296 805306368 1023410176 536870912 335544320 117440512 16777216 0 0 0 0)
				offset: 0 @ 0 ]! !

!A4BPUIIcons class methodsFor: 'iconsBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 17:19'!
iconBPMN20InclusiveGateway
	^ 
	self icons
		at: #iconBPMN20InclusiveGateway ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 0 0 0 0 0 0 520093696 536870912 33554432 16777216 0 0 0 0 0 0 0 0 0 0 0 520093696 3305111552 3338665984 721420288 100663296 16777216 0 0 0 0 0 0 0 0 0 520093696 3305111552 838860800 1006632960 3456106496 805306368 100663296 16777216 0 0 0 0 0 0 0 520093696 3305111552 838860800 469762048 402653184 855638016 3439329280 805306368 100663296 16777216 0 0 0 0 0 520093696 3305111552 838860800 1241513984 2365587456 2382364672 1258291200 855638016 3439329280 805306368 100663296 16777216 0 0 0 520093696 3305111552 838860800 2063597568 3489660928 2348810240 2264924160 3338665984 2449473536 956301312 3456106496 805306368 100663296 16777216 0 520093696 3305111552 838860800 1023410176 3674210304 637534208 570425344 520093696 520093696 3405774848 1442840576 956301312 3439329280 805306368 100663296 16777216 3238002688 1291845632 486539264 1912602624 2785017856 587202560 402653184 184549376 184549376 2214592512 2533359616 486539264 1325400064 3388997632 318767104 83886080 3271557120 1442840576 452984832 1728053248 2885681152 553648128 234881024 0 0 2248146944 2382364672 486539264 1224736768 3372220416 520093696 201326592 721420288 3456106496 905969664 486539264 3758096384 956301312 251658240 16777216 251658240 3573547008 1056964608 939524096 3355443200 956301312 520093696 201326592 83886080 805306368 3439329280 838860800 1358954496 3690987520 3238002688 3103784960 3724541952 1694498816 1006632960 3388997632 905969664 486539264 335544320 83886080 16777216 100663296 805306368 3439329280 905969664 704643072 1577058304 1677721600 889192448 1023410176 3405774848 956301312 486539264 335544320 117440512 16777216 0 16777216 100663296 805306368 3439329280 905969664 385875968 402653184 872415232 3388997632 956301312 486539264 335544320 117440512 16777216 0 0 0 16777216 100663296 805306368 3439329280 822083584 671088640 3338665984 872415232 469762048 335544320 117440512 16777216 0 0 0 0 0 16777216 100663296 805306368 3439329280 3388997632 905969664 469762048 335544320 117440512 16777216 0 0 0 0 0 0 0 16777216 100663296 805306368 1023410176 536870912 335544320 117440512 16777216 0 0 0 0)
	offset: (0@0))]! !

!A4BPUIIcons class methodsFor: 'iconsBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 17:17'!
iconBPMN20ParallelGateway
	^ self icons
		at: #iconBPMN20ParallelGateway
		ifAbsentPut: [ 
			Form
				extent: 16 @ 16
				depth: 32
				fromArray:
					#(0 0 0 0 0 0 520093696 536870912 33554432 16777216 0 0 0 0 0 0 0 0 0 0 0 520093696 3305111552 3338665984 721420288 100663296 16777216 0 0 0 0 0 0 0 0 0 520093696 3305111552 838860800 1006632960 3456106496 805306368 100663296 16777216 0 0 0 0 0 0 0 520093696 3305111552 838860800 469762048 402653184 855638016 3439329280 805306368 100663296 16777216 0 0 0 0 0 520093696 3305111552 838860800 469762048 335544320 117440512 117440512 805306368 3439329280 805306368 100663296 16777216 0 0 0 520093696 3305111552 838860800 469762048 335544320 4278190080 4278190080 251658240 184549376 805306368 3439329280 805306368 100663296 16777216 0 520093696 3305111552 838860800 469762048 335544320 117440512 4278190080 4278190080 738197504 251658240 100663296 805306368 3439329280 805306368 100663296 16777216 3238002688 1291845632 486539264 335544320 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 251658240 184549376 1258291200 3388997632 318767104 83886080 3271557120 1442840576 452984832 150994944 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 738197504 251658240 1107296256 3372220416 520093696 201326592 721420288 3456106496 905969664 150994944 251658240 738197504 4278190080 4278190080 1241513984 1073741824 738197504 721420288 3321888768 956301312 520093696 201326592 83886080 805306368 3439329280 805306368 184549376 251658240 4278190080 4278190080 1073741824 587202560 721420288 3338665984 838860800 486539264 335544320 83886080 16777216 100663296 805306368 3439329280 805306368 100663296 251658240 738197504 738197504 721420288 3305111552 838860800 469762048 335544320 117440512 16777216 0 16777216 100663296 805306368 3439329280 805306368 184549376 251658240 721420288 3338665984 838860800 469762048 335544320 117440512 16777216 0 0 0 16777216 100663296 805306368 3439329280 805306368 603979776 3321888768 838860800 469762048 335544320 117440512 16777216 0 0 0 0 0 16777216 100663296 805306368 3439329280 3388997632 905969664 469762048 335544320 117440512 16777216 0 0 0 0 0 0 0 16777216 100663296 805306368 1023410176 536870912 335544320 117440512 16777216 0 0 0 0)
				offset: 0 @ 0 ]! !

!A4BPUIIcons class methodsFor: 'iconsBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/4/2015 09:33'!
iconBPMN20Resources
	^ 
	
	self icons
		at: #iconBPMN20Resources ifAbsentPut: [(Form
	extent: (20@19)
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294704123 4294704123 4294309365 4294440951 4294704123 4293915640 4293717744 4294704123 4294901502 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294901502 4294901502 4294901502 4294901502 4294769916 4294769916 4294177779 4294572537 4286482067 4281547851 4283916399 4280363320 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294638330 4294177779 4282008912 4284310902 4281022280 4281812054 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294638330 4294638330 4294901502 4294769916 4294572540 4294967295 4294967295 4291614684 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294638330 4294638330 4294704123 4294243572 4294769916 4294967295 4294967295 4294376186 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294901502 4294901502 4294704123 4294967295 4294375158 4294375158 4294967295 4294901502 4294506744 4294901502 4294901502 4294375158 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294835709 4294835709 4294967295 4294769916 4294704123 4294704123 4294769659 4289902013 4281087553 4294638330 4294375158 4281088070 4292007128 4294638328 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294835709 4294835709 4294506744 4294440951 4294901502 4294901502 4281614161 4281548368 4281548368 4291809753 4285691264 4281548368 4281548368 4282272347 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294704123 4294309365 4294506744 4294769916 4294901502 4294901502 4281219403 4281548368 4281548368 4282008916 4280693571 4281548368 4281548368 4281482831 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294835709 4294901502 4294638330 4294967295 4294967295 4294967295 4284835953 4284772218 4282864220 4282864220 4282864220 4282864220 4282864220 4290032828 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4293914607 4294309365 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294309365 4294967294 4294901502 4294901502 4294967295 4294967295 4294967295 4294835708 4294967291 4294967295 4294967295 4294967295 4294046451 4294046451 4294770175 4294967295 4294967295 4294967295 4294967295 4294967295 4292532954 4280891460 4293321959 4293321959 4294967295 4294967295 4294967295 4294245372 4294703869 4294967295 4294967295 4294967295 4289048498 4289048498 4280495166 4294967295 4294967295 4294967295 4294967295 4294967295 4281417294 4281943126 4282206551 4282206551 4294835707 4294967295 4294967295 4293061099 4294901503 4294967295 4294967295 4293849839 4281811540 4281811540 4280758852 4281878359 4294835454 4294967295 4294901502 4294901502 4294507773 4293519852 4293783797 4293783797 4294769655 4294901502 4288389546 4287337886 4287534239 4289968318 4294901502 4293718255 4294245107 4294245107 4294310652 4286350737 4294835710 4294901502 4294572533 4294769912 4294769147 4294704123 4294704120 4294704120 4294507259 4294835709 4294967295 4294967295 4294967295 4294967295 4294835709 4294375412 4294243313 4294243313 4294901500 4294768894 4294835451 4294111986 4294967039 4289374638 4281285447 4294704123 4281088324 4281088324 4287732385 4294967295 4294967295 4294967295 4294967295 4294967295 4294440951 4283523177 4283981933 4283981933 4294835705 4281482830 4292073690 4294901502 4283982186 4282205528 4281548368 4292599787 4280824900 4280824900 4281548368 4283586913 4294967295 4294967295 4294967295 4294967295 4281548362 4281548368 4282337367 4282337367 4284771445 4281548368 4282008147 4292138711 4292470252 4281548883 4281483088 4281417295 4281483088 4281483088 4281483088 4293718514 4294967295 4294967295 4294967295 4294967295 4284704884 4283720049 4281285709 4281285709 4283588463 4281483088 4281350990 4294507515)
	offset: (0@0))]! !

!A4BPUIIcons class methodsFor: 'iconsBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:27'!
iconBPMN20StartEvent
	^ 
	self icons
		at: #iconBPMN20StartEvent ifAbsentPut: [(Form
	extent: (20@20)
	depth: 32
	fromArray: #( 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294572536 4294703865 4294835450 4294901242 4294966778 4294835450 4294769657 4294572536 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294572280 4294506744 4293323503 4291680228 4290300122 4289379796 4289313747 4290234074 4291548643 4293389039 4294572536 4294506744 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294572536 4293915123 4290957279 4288393677 4287408070 4286947779 4286619073 4286487743 4286553536 4286750657 4287802313 4290628829 4293981172 4294572280 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4293389296 4289379796 4287079364 4287670985 4290366176 4291943918 4292798454 4292666869 4291549420 4289511642 4286684865 4285896124 4288788176 4293454832 4294440951 4294440951 4294440951 4294440951 4294440951 4293915123 4289379796 4286816450 4289380055 4293061368 4293455869 4293192955 4293061371 4292995579 4292864506 4293061627 4292206835 4287868109 4285304503 4288590797 4294046709 4294440951 4294440951 4294440951 4294243830 4290365659 4286619329 4289511385 4293324283 4293258747 4293061371 4292930042 4292732922 4292666873 4292535544 4292469751 4292601336 4292535542 4287670987 4284910260 4289839830 4294440951 4294440951 4294506744 4292929261 4287605191 4288262607 4292929784 4293258748 4292995834 4292798714 4292732665 4292601336 4292469753 4292338424 4292207095 4292141301 4292404215 4291746543 4286224831 4286290622 4292929005 4294506744 4294572280 4290497244 4286685122 4290431969 4293652991 4292930042 4292798458 4292667130 4292535545 4292469752 4292272631 4292206839 4292009973 4291878388 4291878389 4292535545 4288657109 4285041334 4290102744 4294703865 4294572536 4288525518 4287079365 4292403955 4293127420 4292732922 4292601337 4292535545 4292338680 4292338167 4292141557 4292075509 4291878388 4291681268 4291615219 4291878132 4290957801 4285370040 4287802312 4294769657 4294638072 4286882243 4287210694 4293192955 4292864250 4292601593 4292470008 4292338423 4292207094 4292141045 4292009717 4291878389 4291681267 4291549427 4291418098 4291549682 4291746546 4285435833 4286092989 4294900986 4294638073 4286224830 4287013573 4293455358 4292732665 4292469752 4292338423 4292207094 4292075510 4291944181 4291812340 4291681010 4291549426 4291352306 4291220977 4291352304 4291943668 4285435833 4285567160 4294900986 4294638072 4287079364 4286619330 4292601335 4292667129 4292338423 4292141302 4292009974 4291878389 4291746804 4291615219 4291483890 4291352305 4291155185 4291089391 4291286256 4291154669 4285304248 4286684608 4294835450 4294572536 4288656591 4286093246 4291286506 4292667129 4292141045 4292009462 4291878133 4291680755 4291484147 4291483634 4291286513 4291155183 4291023599 4291023344 4291352306 4289840353 4285172662 4288591054 4294769657 4294506744 4290825950 4285238967 4288197072 4292864250 4292075510 4291878133 4291615219 4291549426 4291417842 4291286257 4291089648 4290957807 4290957550 4290957550 4291549426 4287013319 4284909748 4291088607 4294638072 4294506487 4293520880 4287145155 4285830333 4290629094 4292272630 4291812340 4291483890 4291418098 4291286257 4291089648 4290957807 4290892014 4290957550 4291220719 4289380061 4285107127 4287341765 4293783795 4294506487 4294440951 4294440951 4291088864 4285304503 4286224831 4290694888 4291943924 4291681011 4291352560 4291155184 4291023855 4291023599 4291089391 4291089391 4289708768 4285435833 4285238454 4291483106 4294572280 4294440951 4294440951 4294440951 4294309622 4290102745 4285304246 4285830333 4289051353 4290760425 4291286511 4291680754 4291483888 4290957805 4290169061 4288393940 4285172920 4285369783 4290431451 4294506744 4294440951 4294440951 4294440951 4294440951 4294440951 4294046452 4290628573 4286487487 4284975540 4286224576 4287276489 4287802062 4287670990 4287079112 4285830333 4284843955 4286553023 4291022815 4294178037 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294506744 4294309622 4292534762 4289642709 4287276228 4285567161 4284384176 4284449713 4285632697 4287341765 4289905367 4292731883 4294375415 4294506743 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294506487 4294506487 4294046708 4293520881 4293126382 4292863212 4292863468 4293126382 4293586417 4294112245 4294506743 4294440951 4294440951 4294440951 4294440951 4294440951)
	offset: (0@0))]

! !

!A4BPUIIcons class methodsFor: 'iconsBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 22:15'!
iconDataObject
	^ self icons
		at: #dataObject
		ifAbsentPut: [ 
			Form
				extent: 20 @ 20
				depth: 32
				fromArray:
					#(4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294769917 4294901502 4294901502 4294835709 4294769916 4294835709 4294769916 4294769916 4294638330 4294769916 4294638330 4294572537 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294638330 4294835709 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294769916 4294769916 4294835709 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4289250037 4283532266 4283269863 4283138021 4283138021 4283138021 4282940386 4282677728 4282677728 4282677728 4282677728 4282414557 4282151641 4281954006 4288328936 4294967295 4294967295 4294967295 4294967295 4294967295 4283466985 4294967295 4289648895 4289648895 4289648895 4289648895 4289648895 4289648895 4289648895 4289648895 4289648895 4289648895 4289648895 4289648895 4281362127 4289901234 4294967295 4294967295 4294967295 4294967295 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4281098955 4289901234 4294967295 4294967295 4294967295 4294967295 4283466985 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4281098955 4289901234 4294967295 4294967295 4294967295 4294967295 4283137766 4294704639 4294704639 4294704383 4294441983 4294245119 4293982463 4293654015 4293325823 4292997375 4284580153 4284580153 4284580153 4291487487 4280836040 4289901234 4294967295 4294967295 4294967295 4294967295 4282874851 4294704639 4280635001 4289247433 4289247433 4294573311 4294507519 4294310911 4294179327 4290825648 4293129674 4293917155 4293129674 4290825648 4289183208 4289901234 4294967295 4294967295 4294967295 4294967295 4282874851 4280635001 4288467184 4293654526 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4289901234 4294967295 4294967295 4294967295 4294967295 4282874851 4280635001 4283996612 4290565863 4285164140 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4285164140 4289901234 4294967295 4294572537 4294967295 4294769916 4282677472 4294441983 4280635001 4289247433 4285164140 4294704639 4290561224 4281874488 4290495432 4294704639 4290956496 4281874488 4290890960 4294704639 4285164140 4289901234 4294967295 4294967295 4294967295 4294967295 4282677472 4294310655 4294113535 4294507519 4285164140 4294704639 4294704639 4294704639 4281874488 4294704639 4281874488 4294704639 4281874488 4294704639 4285164140 4289901234 4294967295 4294967295 4294967295 4294967295 4282480092 4294179327 4293851135 4294441983 4285164140 4294704639 4289113008 4281874488 4281874488 4294704639 4290824912 4281874488 4281874488 4294704639 4285164140 4289901234 4294967295 4294967295 4294967295 4294967295 4282480092 4293916671 4293654271 4294310655 4285164140 4294704639 4281874488 4294704639 4281874488 4294704639 4294704639 4294704639 4281874488 4294704639 4285164140 4289901234 4294967295 4294967295 4294967295 4294967295 4282217177 4293719807 4293391359 4294179327 4285164140 4294704639 4288981679 4281874488 4281874488 4294704639 4294704639 4281874488 4290495695 4294704639 4285164140 4289901234 4294967295 4294967295 4294967295 4294967295 4282217177 4293457151 4293128703 4294113791 4285164140 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4285164140 4289901234 4294967295 4294967295 4294967295 4294967295 4281690834 4281362383 4281099211 4289314793 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4289901234 4294967295 4294967295 4294967295 4294967295 4294967295 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
				offset: 0 @ 0 ]! !

!A4BPUIIcons class methodsFor: 'iconsBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 22:19'!
iconDataStore
	^ self icons
		at: #dataStore
		ifAbsentPut: [ 
			Form
				extent: 20 @ 20
				depth: 32
				fromArray:
					#(4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294769917 4294901502 4294901502 4294835709 4294769916 4294835709 4294769916 4294769916 4294638330 4294769916 4294638330 4294572537 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294638330 4294835709 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294769916 4294769916 4294835709 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4289250037 4283532266 4283269863 4283138021 4283138021 4283138021 4282940386 4282677728 4282677728 4282677728 4282677728 4282414557 4282151641 4281954006 4288328936 4294967295 4294967295 4294967295 4294967295 4294967295 4283466985 4294967295 4289648895 4289648895 4289648895 4289648895 4289648895 4289648895 4289648895 4289648895 4289648895 4289648895 4289648895 4289648895 4281362127 4289901234 4294967295 4294967295 4294967295 4294967295 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4281098955 4289901234 4294967295 4294967295 4294967295 4294967295 4283466985 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4281098955 4289901234 4294967295 4294967295 4294967295 4294967295 4283137766 4294704639 4294704639 4294704383 4294441983 4294245119 4293982463 4293654015 4293325823 4292997375 4284580153 4284580153 4284580153 4291487487 4280836040 4289901234 4294967295 4294967295 4294967295 4294967295 4282874851 4294704639 4280635001 4289247433 4289247433 4294573311 4294507519 4294310911 4294179327 4290825648 4293129674 4293917155 4293129674 4290825648 4289183208 4289901234 4294967295 4294967295 4294967295 4294967295 4282874851 4280635001 4288467184 4293654526 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4289901234 4294967295 4294967295 4294967295 4294967295 4282874851 4280635001 4283996612 4290565863 4285164140 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4285164140 4289901234 4294967295 4294572537 4294967295 4294769916 4282677472 4294441983 4280635001 4289247433 4285164140 4294704639 4290561224 4281874488 4290495432 4294704639 4290956496 4281874488 4290890960 4294704639 4285164140 4289901234 4294967295 4294967295 4294967295 4294967295 4282677472 4294310655 4294113535 4294507519 4285164140 4294704639 4294704639 4294704639 4281874488 4294704639 4281874488 4294704639 4281874488 4294704639 4285164140 4289901234 4294967295 4294967295 4294967295 4294967295 4282480092 4294179327 4293851135 4294441983 4285164140 4294704639 4289113008 4281874488 4281874488 4294704639 4290824912 4281874488 4281874488 4294704639 4285164140 4289901234 4294967295 4294967295 4294967295 4294967295 4282480092 4293916671 4293654271 4294310655 4285164140 4294704639 4281874488 4294704639 4281874488 4294704639 4294704639 4294704639 4281874488 4294704639 4285164140 4289901234 4294967295 4294967295 4294967295 4294967295 4282217177 4293719807 4293391359 4294179327 4285164140 4294704639 4288981679 4281874488 4281874488 4294704639 4294704639 4281874488 4290495695 4294704639 4285164140 4289901234 4294967295 4294967295 4294967295 4294967295 4282217177 4293457151 4293128703 4294113791 4285164140 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4285164140 4289901234 4294967295 4294967295 4294967295 4294967295 4281690834 4281362383 4281099211 4289314793 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4285164140 4289901234 4294967295 4294967295 4294967295 4294967295 4294967295 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
				offset: 0 @ 0 ]! !

!A4BPUIIcons class methodsFor: 'iconsBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 21:18'!
iconDocument
	^ self icons
		at: #document ifAbsentPut: [(Form
	extent: (20@20)
	depth: 32
	fromArray: #( 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4290610198 4290610198 4290610198 4290610198 4290610198 4290610198 4290610198 4290610198 4290610198 4290610198 4290610198 4290610198 4290610198 4290610198 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4290610198 4294964684 4294961834 4294961834 4294961834 4294961834 4294961834 4294961834 4294961834 4294961834 4294961834 4294961834 4294961834 4290610198 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4290610198 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294961834 4294429028 4290610198 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4290610198 4294964684 4290425749 4290425749 4290425749 4290425749 4290425749 4290425749 4290425749 4290425749 4290425749 4290423676 4294429028 4290610198 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4290610198 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294961834 4294429028 4290610198 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4290610198 4294964684 4290425749 4290425749 4290425749 4290425749 4290425749 4290425749 4290425749 4290425749 4290425749 4290423676 4294429028 4290610198 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4290610198 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294961834 4294429028 4290610198 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4290610198 4294964684 4290425749 4290425749 4290425749 4290425749 4290425749 4290425749 4290425749 4290425749 4290425749 4290423676 4294429028 4290610198 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4290610198 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294961834 4294961834 4294961834 4294429028 4290610198 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4290610198 4294964684 4290425749 4290425749 4290425749 4290425749 4290425749 4294964684 4294961834 4294429028 4294429028 4294429028 4294429028 4290610198 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4290610198 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294961834 4294429028 4290610198 4290610198 4290610198 4290610198 4290610198 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4290610198 4294964684 4294964684 4294964684 4294964684 4294964684 4294964684 4294961834 4294429028 4290610198 4294964684 4294964684 4290610198 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4290610198 4294964684 4294961834 4294961834 4294961834 4294961834 4294961834 4294961834 4294429028 4290610198 4294964684 4290610198 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4290610198 4294429028 4294429028 4294429028 4294429028 4294429028 4294429028 4294429028 4294429028 4290610198 4290610198 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4290610198 4290610198 4290610198 4290610198 4290610198 4290610198 4290610198 4290610198 4290610198 4290610198 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951)
	offset: (0@0))]! !

!A4BPUIIcons class methodsFor: 'iconsBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 22:44'!
iconEvent
	^ 
	self icons
		at: #event ifAbsentPut: [(Form
	extent: (20@20)
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4292335575 4287664272 4287269514 4287269514 4287269514 4287269514 4288782753 4293848814 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294901502 4287795858 4281479730 4281742902 4281742902 4281742902 4281874488 4288716960 4294901502 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4293519849 4284572001 4282466625 4282795590 4282795590 4282729797 4287269514 4294309365 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4290230199 4282598211 4282992969 4283190348 4283190348 4285690482 4292598747 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294572537 4286611584 4282400832 4282992969 4283058762 4283848278 4290624957 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4292269782 4283321934 4282532418 4282861383 4282861383 4288322202 4294375158 4294506744 4294440951 4294901502 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294901502 4288716960 4282006074 4282532418 4282664004 4282729797 4285361517 4285624689 4285229931 4289703855 4294309365 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4293914607 4285032552 4282071867 4282400832 4282466625 4282269246 4281940281 4281611316 4284900966 4292203989 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4290888129 4282269246 4282006074 4282203453 4282269246 4282203453 4282006074 4284374622 4291348680 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294835709 4290953922 4286611584 4286743170 4284966759 4282137660 4282006074 4283519313 4290493371 4294901502 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294769916 4294769916 4294638330 4287269514 4281808695 4282598211 4289506476 4294901502 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4292598747 4283453520 4281874488 4288519581 4294769916 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294901502 4288387995 4281282351 4287401100 4294440951 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4293585642 4284243036 4286282619 4293651435 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294901502 4289638062 4285427310 4292664540 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294309365 4288519581 4291546059 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4293125091 4291414473 4294901502 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294572537 4294901502 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
	offset: (0@0))]
! !

!A4BPUIIcons class methodsFor: 'iconsBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 22:11'!
iconLane
	^ 
	self icons
		at: #Lane ifAbsentPut: [(Form
	extent: (20@20)
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4291873225 4291873225 4291873225 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4291873225 4291873225 4291873225 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4291873225 4291873225 4291873225 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4291873225 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4291873225 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
	offset: (0@0))]
! !

!A4BPUIIcons class methodsFor: 'iconsBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 22:08'!
iconLaneSet
	^ 
	self icons
		at: #LaneSet ifAbsentPut: [(Form
	extent: (20@20)
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4291873225 4291873225 4291873225 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4291873225 4291873225 4291873225 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4291873225 4291873225 4291873225 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4291873225 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4291873225 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4282085553 4282085553 4282085553 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4291873225 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
	offset: (0@0))]
! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPAssing
	^ self icons
		at: #iconModelBPAssing
		ifAbsentPut: [ 
			Form
				extent: 16 @ 16
				depth: 32
				fromArray:
					#(16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4290159748 4288513111 4287916307 4287916307 4287916307 16777215 16777215 16777215 4290159748 4288513111 4287916307 4287916307 4287916307 16777215 16777215 16777215 4288513111 16777215 4293122335 4293122079 4287784722 4291019715 16777215 16777215 4288513111 16777215 4293122335 4293122079 4287784722 4291019715 16777215 16777215 4287916307 4293122335 4293122335 4293122079 4287784465 4289506476 16777215 16777215 4287916307 4293122335 4293122335 4293122079 4287784465 4289506476 16777215 16777215 4287850514 4293122335 4293122079 4293122079 4287652625 4289506476 16777215 16777215 4287850514 4293122335 4293122079 4293122079 4287652625 4289506476 16777215 16777215 4287718673 4293122079 4281080323 4282985477 4286666512 4289506476 16777215 16777215 4287718673 4293122079 4293121823 4293121823 4287258129 4289506476 16777215 16777215 4287652625 4293121823 4292661022 4287263504 4282985477 4286344796 16777215 16777215 4287652625 4293121823 4293121823 4293121310 4287126545 4289506476 16777215 16777215 4287389969 4293121823 4293121310 4293121054 4286468879 4282985477 4291807423 16777215 4287389969 4293121823 4293121310 4293121054 4286994704 4289506476 16777215 16777215 4287258129 4293121310 4293121054 4293120798 4286797584 4286542433 4282985477 4292663506 4287258129 4293121310 4293121054 4293120798 4286797584 4289506476 16777215 16777215 4287126545 4293121054 4293120798 4293120030 4286600208 4289506476 4288581500 4283512080 4285943566 4292660509 4293120798 4293120030 4286600208 4289506476 16777215 16777215 4286994704 4293120798 4293120030 4293119773 4286468367 4289506476 16777215 4289371531 4283314182 4282985477 4281080323 4293119773 4286468367 4289506476 16777215 16777215 4286797584 4293120030 4293119773 4293119005 4286336527 4289506476 16777215 16777215 4286797584 4293120030 4293119773 4293119005 4286336527 4289506476 16777215 16777215 4286797584 4293120030 4293120030 4293119005 4286336527 4289506476 16777215 16777215 4286797584 4293120030 4293120030 4293119005 4286336527 4289506476 16777215 16777215 4286600464 4293119773 4293119005 4293118236 4286073615 4289506476 16777215 16777215 4286600464 4293119773 4293119005 4293118236 4286073615 4289506476 16777215 16777215 4288840276 4286336527 4286139151 4286139151 4285416718 4289506476 16777215 16777215 4288840276 4286336527 4286139151 4286139151 4285416718 4289506476 16777215 16777215 16777215 4291019715 4289506476 4289506476 4289506476 4291019715 16777215 16777215 16777215 4291019715 4289506476 4289506476 4289506476 4291019715 16777215)
				offset: 0 @ 0 ]! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPCatch
	^ self icons
		at: #iconModelBPCatch ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 4290663757 4288875264 4290401613 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 4292718764 4294524465 4294959841 4294458158 4290284424 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15921392 4290065194 4294894562 4294527807 4294842376 4288423454 14539482 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 4292056722 4294599770 4294815658 4294527807 4294527807 4292152832 4289426030 15921906 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15788520 4290323481 4294958041 4294738298 4294829026 4294821058 4294454302 4287896082 13880267 15987699 15987699 15987699 15987699 15987699 15987699 15987699 4291461243 4294673275 4294812059 4294595656 4293261579 4294829026 4294527036 4292415232 4288765530 15724527 15987699 15987699 15987699 15987699 15987699 15391449 4291171850 4294958298 4294595656 4294527807 4293261579 4294829026 4294526779 4294457130 4287369480 13286073 15987699 15987699 15987699 15987699 15987699 4290800228 4294746009 4294742667 4294527807 4294527036 4293261579 4294829026 4294526265 4294526007 4292546304 4288105543 15461355 15987699 15987699 15987699 15060427 4292219139 4294890705 4294528578 4294527550 4294527036 4293261579 4294829026 4294526007 4294525493 4294524465 4286843650 12495271 15987699 15987699 15987699 4290006855 4294885564 4294672504 4294527550 4294527036 4294526779 4293261579 4294829026 4294525493 4294524979 4294524465 4292742912 4287445299 15198183 15987699 14531255 4294451732 4294887364 4294527550 4294527036 4294526779 4294526779 4294526779 4294526779 4294524979 4294524465 4294458158 4294457644 4288940800 4289827472 15987699 4289875527 4294882222 4294672503 4294527293 4294526779 4294526265 4294526779 4293261579 4293261579 4294524465 4294458158 4294457644 4294457130 4293201664 4287182898 15987699 4288552726 4294458672 4294527036 4294526779 4294526265 4294526264 4294525493 4294524979 4294524465 4294458158 4294457644 4294457130 4294456616 4294452502 4286256655 15987699 4290274398 4287760896 4287564032 4287432960 4287236352 4287105280 4286908672 4286777600 4286580992 4286449920 4286318592 4286187520 4286056448 4285925376 4287317826 15987699 15987699 4291282887 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476)
	offset: (0@0))]! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPCatchAll
	^ self icons
		at: #iconModelBPCatchAll ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 4290663757 4288875264 4290401613 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 4292718764 4294524465 4294959841 4294458158 4290284424 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15921392 4290065194 4294894562 4294527807 4294842376 4288423454 14539482 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15987699 4292056722 4294599770 4294528578 4294527807 4294527807 4292152832 4289426030 15921906 15987699 15987699 15987699 15987699 15987699 15987699 15987699 15788520 4290323481 4294958041 4294527036 4293261579 4294527036 4294454302 4287896082 13880267 15987699 15987699 15987699 15987699 15987699 15987699 15987699 4291461243 4293261579 4294527036 4294527036 4293261579 4294527036 4294527036 4293261579 4288765530 15724527 15987699 15987699 15987699 15987699 15987699 15391449 4291171850 4294958298 4293261579 4294527036 4293261579 4294527036 4293261579 4294457130 4287369480 13286073 15987699 15987699 15987699 15987699 15987699 4290800228 4294746009 4294527036 4294527036 4293261579 4293261579 4293261579 4294527036 4294526007 4292546304 4288105543 15461355 15987699 15987699 15987699 15060427 4292219139 4294890705 4293261579 4293261579 4293261579 4293261579 4293261579 4293261579 4293261579 4294527036 4286843650 12495271 15987699 15987699 15987699 4290006855 4294885564 4294527036 4294527036 4294527036 4293261579 4293261579 4293261579 4294527036 4294527036 4294527036 4292742912 4287445299 15198183 15987699 14531255 4294451732 4294887364 4294527036 4294527036 4293261579 4294527036 4293261579 4294527036 4293261579 4294527036 4294527036 4294527036 4288940800 4289827472 15987699 4289875527 4294882222 4294527036 4294527036 4293261579 4294527036 4294527036 4293261579 4294527036 4294527036 4293261579 4294527036 4294527036 4293201664 4287182898 15987699 4288552726 4294458672 4294527036 4294526779 4294526265 4294526264 4294525493 4294524979 4294524465 4294458158 4294457644 4294457130 4294456616 4294452502 4286256655 15987699 4290274398 4287760896 4287564032 4287432960 4287236352 4287105280 4286908672 4286777600 4286580992 4286449920 4286318592 4286187520 4286056448 4285925376 4287317826 15987699 15987699 4291282887 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476)
	offset: (0@0))]! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPCopy
	^ self icons
		at: #putIconKey
		ifAbsentPut: [ 
			(ColorForm
				extent: 16 @ 16
				depth: 8
				fromArray:
					#(1616908805 320017157 308306016 1616928864 1616905485 33686029 90202208 1616928864 1616915238 136251427 1409549316 67391034 1616928256 289935616 0 66 306536254 911233297 16843009 572194842 84738562 34418227 168430090 1024327712 824576031 136533817 117901063 1229783065 1375747854 234881024 0 6094871 436220417 673710337 16851483 4587559 536893993 50529027 50538838 2949156 419449689 101058054 1398293533 3866639 385888030 151587081 505238828 6045974 654331724 1009390869 1195596599 4874336 603993104 270278945 470824240 4218976 251658251 184549376 723712 1007712 941100128 621548564 203776012 404119648)
				offset: 0 @ 0)
				colorsFromArray:
					#(#(1.0 1.0 1.0 1.0) #(0.964 0.976 0.979 1.0) #(0.599 0.858 1.0 1.0) #(0.804 0.835 0.866 1.0) #(0.0 0.353 0.784 1.0) #(0.0 0.376 0.788 1.0) #(0.96 0.972 0.987 1.0) #(0.0 0.321 0.776 1.0) #(0.094 0.638 1.0 1.0) #(0.714 0.757 0.792 1.0) #(0.878 0.874 0.882 1.0) #(0.63 0.667 0.6980000000000001 1.0) #(0.156 0.203 0.25 1.0) #(0.627 0.882 1.0 1.0) #(1.0 0.995 0.983 1.0) #(0.372 0.40800000000000003 0.447 1.0) #(0.47000000000000003 0.505 0.544 1.0) #(1.0 1.0 0.991 1.0) #(0.0 0.392 0.796 1.0) #(0.0 0.369 0.784 1.0) #(0.152 0.199 0.242 1.0) #(0.933 0.9480000000000001 0.968 1.0) #(0.289 0.328 0.372 1.0) #(0.392 0.435 0.47400000000000003 1.0) #(0.156 0.199 0.246 1.0) #(0.404 0.447 0.49 1.0) #(0.431 0.47000000000000003 0.517 1.0) #(0.9520000000000001 0.964 0.976 1.0) #(0.921 0.9440000000000001 0.968 1.0) #(0.933 0.9520000000000001 0.968 1.0) #(0.7020000000000001 0.749 0.784 1.0) #(0.094 0.642 1.0 1.0) #(0.419 0.458 0.505 1.0) #(0.897 0.921 0.9480000000000001 1.0) #(0.96 0.972 0.979 1.0) #(0.109 0.658 1.0 1.0) #(0.365 0.404 0.447 1.0) #(0.176 0.219 0.262 1.0) #(0.113 0.667 1.0 1.0) #(0.38 0.419 0.458 1.0) #(0.964 0.976 0.983 1.0) #(0.8 0.8270000000000001 0.866 1.0) #(0.936 0.9520000000000001 0.972 1.0) #(0.0 0.369 0.796 1.0) #(0.925 0.9400000000000001 0.9560000000000001 1.0) #(0.376 0.419 0.47000000000000003 1.0) #(0.0 0.34500000000000003 0.78 1.0) #(0.929 0.9480000000000001 0.964 1.0) #(0.921 0.9400000000000001 0.968 1.0) #(0.0 0.365 0.8 1.0) #(0.9560000000000001 0.964 0.976 1.0) #(0.929 0.905 0.89 1.0) #(0.913 0.9400000000000001 0.968 1.0) #(0.466 0.505 0.544 1.0) #(0.0 0.325 0.768 1.0) #(0.917 0.936 0.9560000000000001 1.0) #(0.28500000000000003 0.325 0.369 1.0) #(0.0 0.325 0.78 1.0) #(0.0 0.384 0.811 1.0) #(0.372 0.419 0.462 1.0) #(0.9560000000000001 0.972 0.987 1.0) #(0.87 0.87 0.878 1.0) #(0.0 0.328 0.776 1.0) #(1.0 0.995 0.976 1.0) #(0.369 0.40800000000000003 0.451 1.0) #(0.149 0.196 0.23900000000000002 1.0) #(0.49 0.505 0.525 1.0) #(0.9440000000000001 0.96 0.979 1.0) #(0.9440000000000001 0.96 0.976 1.0) #(0.0 0.372 0.792 1.0) #(0.388 0.435 0.482 1.0) #(0.933 0.9520000000000001 0.972 1.0) #(1.0 1.0 0.995 1.0) #(0.0 0.325 0.784 1.0) #(0.392 0.431 0.47000000000000003 1.0) #(0.936 0.9520000000000001 0.968 1.0) #(0.9520000000000001 0.968 0.987 1.0) #(0.0 0.305 0.784 1.0) #(0.0 0.361 0.792 1.0) #(0.917 0.9400000000000001 0.96 1.0) #(0.0 0.328 0.772 1.0) #(0.0 0.317 0.772 1.0) #(0.486 0.501 0.521 1.0) #(0.9560000000000001 0.972 0.983 1.0) #(0.0 0.337 0.772 1.0) #(0.929 0.9440000000000001 0.96 1.0) #(0.9520000000000001 0.96 0.972 1.0) #(0.0 0.328 0.768 1.0) #(0.9480000000000001 0.964 0.976 1.0) #(0.9560000000000001 0.968 0.983 1.0) #(0.9440000000000001 0.9560000000000001 0.972 1.0) #(0.9400000000000001 0.96 0.979 1.0) #(0.396 0.439 0.482 1.0) #(0.439 0.47000000000000003 0.494 1.0) #(0.552 0.525 0.498 1.0) #(0.0 0.353 0.792 1.0) #() #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #(0.0 0.0 0.0 1.0) #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #() #()) ]! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPELAnalyzer
	^ self icons
		at: #iconModelBPELAnalyzer ifAbsentPut: [(Form
	extent: 16@16
	depth: 32
	fromArray: #( 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4279764580 4279764580 4294967295 4294909727 4294909727 4294967295 4294967295 4294967295 4294923605 4294923605 4294967295 4294967295 4294967295 4294923605 4294923605 4294967295 4279764580 4279764580 4294967295 4294909727 4294909727 4294967295 4294967295 4294967295 4294923605 4294923605 4294967295 4294967295 4294967295 4294923605 4294923605 4294967295 4279764580 4279764580 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4279764580 4279764580 4294967295 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4294967295 4279764580 4279764580 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4279764580 4279764580 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4279764580 4279764580 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4279764580 4279764580 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4279764580 4279764580 4294967295 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4281994495 4294967295 4279764580 4279764580 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4279764580 4279764580 4294967295 4294923605 4294923605 4294967295 4294967295 4294967295 4294923605 4294923605 4294967295 4294967295 4294967295 4294923605 4294923605 4294967295 4279764580 4279764580 4294967295 4294923605 4294923605 4294967295 4294967295 4294967295 4294923605 4294923605 4294967295 4294967295 4294967295 4294923605 4294923605 4294967295 4279764580 4279764580 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580 4279764580)
	offset: 0@0)]! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPForEach
	^ self icons
		at: #iconModelBPForEach
		ifAbsentPut: [ 
			Form
				extent: 16 @ 16
				depth: 32
				fromArray:
					#(16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 4279654327 16250871 16250871 16250871 16250871 16250871 4279654327 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 4279654327 4289506476 16250871 16250871 16250871 16250871 4279654327 4289506476 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 4279654327 4289506476 16250871 16250871 16250871 16250871 4279654327 4289506476 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 4279654327 4289506476 16250871 16250871 16250871 16250871 4279654327 4289506476 16250871 16250871 16250871 16250871 16250871 16250871 4282029532 4281831642 4281567961 4281238487 4280909013 16250871 4281831643 4281567961 4281238487 4280909013 4280579283 16250871 16250871 16250871 16250871 16250871 4281699802 16777215 4290503678 4289913086 4280447699 4289506476 4281502169 16777215 4290503678 4289913086 4280183761 4289506476 16250871 16250871 16250871 16250871 4281304279 4290503678 4289913086 4289322238 4279986128 4289506476 4281172439 4290503678 4289913086 4289322238 4279722703 4289506476 16250871 16250871 16250871 16250871 4280843221 4289913086 4289322238 4288666110 4279524813 4289506476 4280776916 4289913086 4289322238 4288666110 4279327180 4289506476 16250871 16250871 16250871 16250871 4280381650 4280051920 4279722446 4279392973 4279063499 4289506476 4280315858 4279986128 4279656398 4279261388 4278997450 4289506476 16250871 16250871 16250871 16250871 16250871 4289506476 4279188864 4289506476 4289506476 4289506476 16250871 4289506476 4279188864 4291480523 4291480523 4291480523 4291480523 4291480523 4291480523 16250871 16250871 16250871 4279654327 4289506476 16250871 16250871 16250871 16250871 4279654327 4291480523 4280952872 4284111193 4291480523 4280952872 4291480523 16250871 16250871 16250871 4279654327 4289506476 16250871 16250871 16250871 16250871 4279654327 4291480523 4280952872 4280952872 4289899949 4280952872 4291480523 16250871 16250871 16250871 4279654327 4289506476 16250871 16250871 16250871 16250871 4279654327 4291480523 4280952872 4289899949 4280952872 4280952872 4291480523 16250871 16250871 16250871 16250871 4289506476 16250871 16250871 16250871 16250871 16250871 4291480523 4280952872 4291480523 4286742399 4280952872 4291480523 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 4291480523 4291480523 4291480523 4291480523 4291480523 4291480523)
				offset: 0 @ 0 ]! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPFrom
	^ self icons
		at: #iconModelBPFrom
		ifAbsentPut: [ 
			Form
				extent: 16 @ 16
				depth: 32
				fromArray:
					#(0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4288585374 4288059030 4288059030 4288124823 4288124823 4288059030 0 0 0 0 0 0 0 0 0 0 4283914071 4289045925 4289045925 4288914339 4289177511 4286743170 4280887593 0 0 0 0 0 0 0 0 0 4286611584 4294967295 4294967295 4294967295 4294967295 4293190884 4285822068 4283321934 0 0 0 0 0 0 0 0 4286085240 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4286282619 0 0 0 0 0 0 0 0 4286151033 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4286216826 0 0 0 0 0 0 0 0 4286151033 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4285295724 0 0 0 0 0 0 0 0 4286151033 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4291282887 1287832258 131322835 0 0 0 0 0 0 4286151033 4294967295 4294967295 4294967295 4292532954 4291348680 4291414473 4292401368 4287730065 4278190080 1236645301 0 0 0 0 0 4286085240 4294967295 4294967295 4294967295 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2746134190 0 0 0 0 4286151033 4294967295 4294967295 4294967295 4291282887 4289703855 4289901234 4290559164 0 4278190080 43291796 351203054 0 0 0 0 4286216826 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 2867522282 2092809661 213432504 0 0 0 0 0 0 4284111450 4287466893 4287466893 4287466893 4287335307 4287335307 4287335307 4283914071 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
				offset: 0 @ 0 ]! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPInvoke
	^ self icons
		at: #iconModelBPInvoke
		ifAbsentPut: [ 
			Form
				extent: 20 @ 18
				depth: 32
				fromArray:
					#(4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278207744 4278207744 4283925591 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278207744 4294967295 4278207744 4283792981 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278216960 4278216192 4278215424 4278214400 4278213632 4278212864 4286246522 4278247424 4278207744 4283989336 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4287269514 4284374622 4294177779 4278216448 4294967295 4291229894 4288410523 4286246778 4283295821 4278247424 4278247168 4278246912 4278207744 4283989080 4294967295 4294967295 4294967295 4294967295 4294967295 4287466893 4288519581 4286348412 4289111718 4278215424 4289984435 4278248448 4278248192 4278247936 4278247424 4278247168 4278247168 4278246400 4278246400 4278207744 4294967295 4294967295 4294967295 4294967295 4294967295 4284374622 4287203721 4289572269 4290953922 4278214400 4286242938 4278248192 4278247936 4278247424 4278247168 4278246912 4278246656 4278246400 4278207744 4282212669 4294967295 4294967295 4294967295 4294967295 4294967295 4294177779 4283848278 4287203721 4293454056 4283465040 4278212864 4278211840 4278211072 4278210304 4278209536 4278246656 4278246400 4278207744 4282212669 4294967295 4294967295 4294967295 4294967295 4294967295 4283650899 4283979864 4283848278 4290888129 4291414473 4288453788 4287927444 4287993237 4291151301 4293848814 4278209024 4278246400 4278207744 4282212669 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4285295724 4291743438 4289769648 4292532954 4285690482 4281874488 4289572269 4286414205 4284243036 4294506744 4278208512 4278207744 4279909914 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4283979864 4283979864 4283914071 4291809231 4288059030 4281940281 4286874756 4285887861 4287072135 4294309365 4289638062 4288519581 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294177779 4289374890 4281084972 4288585374 4292993505 4287927444 4284374622 4287466893 4293848814 4291151301 4280427042 4289374890 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294177779 4283190348 4287137928 4288519581 4289835441 4293059298 4294506744 4294111986 4290888129 4289835441 4286216826 4282137660 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4285887861 4288322202 4287664272 4281019179 4284243036 4291875024 4285098345 4280492835 4286085240 4287993237 4280821800 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4283387727 4281413937 4286874756 4280492835 4291940817 4282203453 4287072135 4281545523 4280887593 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4290756543 4290032820 4282203453 4282203453 4282203453 4289374890 4293190884 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4289374890 4289374890 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
				offset: 0 @ 0 ]! !

!A4BPUIIcons class methodsFor: 'iconsBPMN20' stamp: 'AlvaroJosePeraltaOcamop 6/8/2015 09:52'!
iconModelBPMN20Process
	^ 
	self icons
		at: #iconModelBPMN20Process ifAbsentPut: [(Form
	extent: (20@20)
	depth: 32
	fromArray: #( 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4290432498 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4283335144 4289642983 4294440951 4294440951 4294440951 4294440951 4294440951 4283466985 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4281098955 4292664540 4294440951 4294440951 4294440951 4294440951 4283137766 4294704639 4294704639 4294704383 4294441983 4294245119 4294704639 4294704639 4294704639 4294704639 4284580153 4284580153 4284580153 4294704639 4280836040 4289506476 4294440951 4294440951 4294440951 4294440951 4282874851 4294704639 4280635001 4280635001 4280635001 4293982463 4294704639 4294704639 4294704639 4284580153 4290307962 4292341944 4290307962 4284580153 4280572869 4289506476 4294440951 4294440951 4294440951 4294440951 4282874851 4280635001 4288467184 4291685116 4288467184 4280635001 4282269246 4282269246 4282269246 4284580153 4288994397 4288994397 4288994397 4284580153 4280572869 4289506476 4294440951 4294440951 4294440951 4294440951 4282874851 4280635001 4283996612 4283996612 4283996612 4280635001 4294704639 4294704639 4294704639 4294704639 4284580153 4284580153 4284580153 4294704639 4280572869 4289506476 4294440951 4294440951 4294440951 4294440951 4282677472 4294704639 4280635001 4280635001 4280635001 4282269246 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4280375234 4289506476 4294440951 4294440951 4294440951 4294440951 4282677472 4294704639 4294704639 4294704639 4294704639 4294704639 4282269246 4294704639 4294704639 4293453279 4283713845 4293453279 4294704639 4294704639 4280375234 4289506476 4294440951 4294440951 4294440951 4294440951 4282480092 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4282269246 4293453279 4283713845 4294436550 4283713845 4293453279 4294704639 4280047038 4289506476 4294440951 4294440951 4294440951 4294440951 4282480092 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4283713845 4294038165 4294038165 4294038165 4283713845 4294704639 4280047038 4289506476 4294440951 4294440951 4294440951 4294440951 4282217177 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4293453279 4283713845 4293508712 4283713845 4293453279 4294704639 4279914940 4289506476 4294440951 4294440951 4294440951 4294440951 4282217177 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4293453279 4283713845 4293453279 4294704639 4294704639 4279914940 4289506476 4294440951 4294440951 4294440951 4294440951 4282217177 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4294704639 4279914940 4289506476 4294440951 4294440951 4294440951 4294440951 4289840362 4281362383 4281099211 4280836040 4280836040 4280836040 4280572869 4280309953 4280309953 4280309953 4280309953 4280046783 4279849404 4279652025 4285893039 4289506476 4294440951 4294440951 4294440951 4294440951 4294440951 4292664540 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4289506476 4292664540 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951 4294440951)
	offset: (0@0))]
! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPPartnerLink
	^ self icons
		at: #iconModelBPPartnerLink ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 0 0 789516 286594325 1052688 908667177 3479857770 4285887861 3966462827 1631403325 0 235999505 1052688 0 0 0 0 118558993 1112625489 2573822313 1214012508 1413628482 3833889924 4291809231 4137129879 2117876796 639179033 2321374557 1331453020 169416985 0 0 17632525 1079202643 3480515700 4254965149 3748819570 3211027556 4153709716 4293190884 4256083630 3277017939 2941605205 4153249165 3782505588 1482184792 18422041 0 219551254 2355981677 4237858968 4292993505 4274439878 4253451910 4289967027 4293585642 4291282887 4185224565 4187856285 4292861919 4255688872 3077073000 589965866 0 0 975841834 3479923563 4256873146 4293980400 4293783021 4293059298 4292664797 4292927713 4293783022 4294046195 4292993763 4169171072 2555071307 656087835 202839831 187312682 558056259 2523293286 4152262270 4293717228 4291282887 4018965644 3497687931 3968238722 4290031530 4292268235 4288321428 4238582951 4037650857 3718357408 1971224190 2758371689 3127536234 3732239733 4221805475 4292730333 3951133057 2151628607 925378601 2524534830 4289035317 4291469131 4288252268 4291546319 4291677645 4291480266 3885142674 4286019447 4291348680 4292664540 4293322470 4292072403 3076809828 505948200 0 1753370641 4289097752 4290214936 4288053859 4291217613 4291282887 4291414473 4221147545 4286019447 4291348680 4292664540 4293322470 4292072403 3194250340 623388712 0 1149259282 3750649630 4288573485 4287594860 4291217613 4291282887 4291414473 4221213338 2758371689 3110759018 3799282804 4238385312 4292730333 4018176128 2218737471 925378601 2642106153 4289559336 4291794996 4288449385 4291349198 4291546059 4291546059 3985937556 187312682 692208194 2909103461 4237135245 4293717228 4291282887 4018965644 3497687931 4001858431 4290292636 4292069044 4287794305 4289901751 4290361785 4188580008 2374008960 0 1210722858 3782505588 4291809231 4293980400 4293848814 4293125091 4292664797 4292927713 4293783022 4294046194 4292795869 4135551104 2488291408 823991581 303568920 320214550 2657971565 4254899356 4292861919 4256412595 4185356151 4289769648 4293585642 4291677645 4219107962 4222134440 4292993505 4255623079 3077007207 589965866 0 17632525 1146311507 3547558771 4254175633 3345640042 2808440165 4103443861 4293190884 4289638062 3395511139 3077073000 4170355346 3782505588 1482184792 35199257 0 0 118558993 1095848273 2288609641 858401322 1229079106 3783558276 4291809231 4153841302 2169261132 707340585 2338085980 1331453020 169416985 0 0 0 0 789516 202708245 0 908667177 3479857770 4285887861 3966462827 1631337532 0 235933712 1052688 0 0 0)
	offset: (0@0))]! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPProcess
	^ self icons
		at: #iconModelBPProcess ifAbsentPut: [(Form
	extent: (16@19)
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4289819915 4289819915 4289819915 4289819915 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4289819915 4294962593 4294960765 4289819915 4292861919 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4289819915 4294957112 4294955021 4289819915 4292861919 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4289819915 4289819915 4289819915 4289819915 4292861919 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4285032811 4285032811 4292861919 4292861919 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4285032811 4285032811 4292861919 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4285032811 4290757058 4290757058 4285032554 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4285491819 4285491819 4284703589 4284900968 4292072661 4292072661 4284900968 4284703589 4285491819 4285491819 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4285491819 4291412675 4294967295 4294967295 4284111452 4284111452 4292861919 4292861919 4291412675 4285491819 4294967295 4294967295 4294967295 4294967295 4294967295 4281619424 4282343653 4282343653 4282211813 4282211813 4294967295 4292861919 4294967295 4289013789 4289013789 4289013789 4289013789 4294967295 4294967295 4294967295 4294967295 4282211813 4288528124 4288528124 4287542524 4282211813 4292861919 4294967295 4294967295 4289013789 4293107093 4292310120 4289013789 4292861919 4294967295 4294967295 4294967295 4282211813 4288528124 4286818555 4283925753 4282211813 4292861919 4294967295 4294967295 4289013789 4291385929 4291120442 4289013789 4292861919 4294967295 4294967295 4294967295 4282211813 4285897466 4283925753 4283925753 4282211813 4292861919 4294967295 4294967295 4289013789 4289013789 4289013789 4289013789 4292861919 4294967295 4294967295 4294967295 4282211813 4282211813 4282211813 4282211813 4282211813 4292861919 4294967295 4294967295 4294967295 4292861919 4292861919 4292861919 4292861919 4294967295 4294967295 4294967295 4294967295 4292861919 4292861919 4292861919 4292861919 4292861919 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294704123 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294901502 4294967295 4294967295 4294967295)
	offset: (0@0))]! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPReceive
	^ self icons
		at: #iconModelBPReceive
		ifAbsentPut: [ 
			Form
				extent: 16 @ 16
				depth: 32
				fromArray:
					#(16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 4278214656 4278213632 4283991384 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 4278213632 16777215 4278213632 4283858774 16250871 16250871 16250871 16250871 16250871 16250871 16250871 4282418240 4278221824 4278221824 4278221824 4278221824 4278212864 4286246522 4278247424 4278213632 4284644706 4290756543 16250871 16250871 16250871 16250871 16250871 4278216448 16777215 4291229894 4288410523 4286246778 4283295821 4278247424 4278247168 4278246912 4278213632 4284644450 4289506476 4284177243 4282071867 16250871 16250871 4278215424 4289984435 4278248448 4278248192 4278247936 4278247424 4278247168 4278247168 4278246400 4278246400 4278207744 4289506476 4288914339 4289703855 4281611316 16250871 4278214400 4286242938 4278248192 4278247936 4278247424 4278247168 4278246912 4278246656 4278246400 4278207744 4286289275 4291611852 4290032820 4289309097 4284177243 4290493371 4286491518 4278212864 4278211840 4278211072 4278210304 4278209536 4278246656 4278246400 4278207744 4284776036 4291480266 2296702180 4290098613 4280756007 4289506476 4289506476 16250871 4292006610 4289506476 4288716960 4289111718 4278209024 4278246400 4278207744 4283788885 4287927444 4285361517 4287795858 4292927712 4284111450 4282795590 4282795590 16250871 16250871 16250871 4285295724 1726342629 4278208512 4278207744 4284644706 4287993237 4291085508 4286545791 4284243036 15987699 4291875024 4292796126 4282861383 16250871 16250871 16250871 4283979864 4289111718 4289111718 1726342629 4289901234 4285361517 4286479998 4285493103 4287072135 15592941 4284966759 4282795590 4282795590 16250871 16250871 16250871 16250871 4289506476 4281150765 4288585374 4007780833 4287927444 4284374622 4287466893 15658734 4291151301 4280427042 4289572269 4289506476 16250871 16250871 16250871 16250871 4283256141 4287137928 4288519581 4289835441 3437421282 16316664 15921906 4290888129 4289835441 4286216826 4282203453 16250871 16250871 16250871 16250871 16250871 4285953654 4288322202 4287664272 4281019179 4284243036 4291875024 4285098345 4280492835 4286085240 4287993237 4280887593 4290690750 16250871 16250871 16250871 16250871 16250871 4283453520 4281413937 4287072135 4280558628 4291940817 4282203453 4287269514 4281611316 4280953386 4289506476 4290427578 16250871 16250871 16250871 16250871 16250871 16250871 4290953922 4290230199 4282203453 4282203453 4282203453 4289506476 15263976 4290690750 4290493371 16250871)
				offset: 0 @ 0 ]! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPRelations
	^ 
	self icons
		at: #iconModelBPRelations ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289967027 4285756275 4288124823 0 0 0 0 0 0 0 0 0 0 0 0 2867588075 4278190080 4278190080 4278190080 4290230199 0 0 0 0 0 0 0 0 0 0 0 4288387995 4278190080 4278190080 4278190080 4289769648 0 0 0 0 0 0 0 0 0 4289111718 4278190080 4278190080 4288914339 4284966759 4287466893 0 0 0 0 0 0 0 586149871 4288190616 4278190080 4278190080 4290559164 0 0 0 0 0 0 0 4289440683 4290098613 4293125091 4288387995 4278190080 4278190080 4291151301 0 0 0 0 0 0 0 0 4288651167 4278190080 4278190080 4278190080 4278190080 4291217094 0 0 0 0 0 0 0 0 0 0 4286414205 4278190080 4278190080 4278190080 4292532954 0 0 0 0 0 0 0 0 0 0 0 4291217094 4278190080 4278190080 4278190080 4278190080 4287664272 1726868973 0 0 0 0 0 0 0 0 0 0 3437947626 2867588075 0 4292006610 4278190080 4278190080 4288651167 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4291217094 4278190080 4278190080 4289177511 0 0 4290953922 4293125091 0 0 0 0 0 0 0 0 0 0 4290493371 4278190080 4278190080 4278190080 4278190080 4278190080 4292467161 0 0 0 0 0 0 0 0 0 0 0 4288387995 4278190080 4278190080 4278190080 4289045925 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4292467161 0 0 0 0 0 0 0 0 0 0 0 0 3437947626 4290427578 4292664540 0 0)
	offset: (0@0))]! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPReply
	^ self icons
		at: #iconModelBPReply
		ifAbsentPut: [ 
			Form
				extent: 16 @ 16
				depth: 32
				fromArray:
					#(16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 4287153032 4279930650 4279930650 4279930650 4279930394 4279930138 4279929370 4279862809 4279862041 4279861273 4279794712 4289580717 16250871 16250871 16250871 16250871 4279930650 4292082387 4288736888 4288473717 4288210546 4287947373 4287552871 4287749995 4287749995 4287684202 4288210546 4279726359 4286231162 16250871 16250871 16250871 4287152776 4279929370 4279862809 4279862297 4279861273 4279794712 4279794712 4279794712 4279794712 4279794712 4288210546 4288210546 4279726359 4289580717 16250871 16250871 16250871 4292072403 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4279860249 4288210546 4288210546 4279657494 4292072403 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 4279862041 4288210546 4279657494 4289901234 16250871 16250871 16250871 4289254056 4279929370 4279930138 16250871 16250871 16250871 16250871 16250871 16250871 4279862041 4288210546 4279657494 4289901234 16250871 16250871 4289254056 4279795224 4292082387 4279862297 16250871 16250871 16250871 16250871 16250871 4279862041 4288210546 4285906778 4279657494 4289901234 16250871 4289254056 4279726359 4292082387 4290177705 4279794712 4279861273 4279862041 4279862809 4279929370 4279930138 4287947373 4288210546 4279657494 4285239403 4292072403 4289254056 4279658006 4292082387 4290177705 4286302548 4286302548 4286565977 4286894686 4287289187 4287552871 4287947373 4285906778 4279657494 4285239403 4292072403 16250871 16250871 4285905525 4279591701 4285841997 4285841997 4279659030 4279725591 4279726359 4279659030 4279657494 4279657494 4279657494 4285239403 4292072403 16250871 16250871 16250871 16250871 4285905525 4279591701 4285841997 4279657494 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4292072403 16250871 16250871 16250871 16250871 16250871 16250871 4285905525 4279591701 4279591701 4289901234 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 4292072403 4289901234 4289901234 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871 16250871)
				offset: 0 @ 0 ]! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPScope
	^ self icons
		at: #iconModelBPScope ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 4292467161 4287137928 4285492847 4285492847 4285492847 4285492847 4285361261 4285164395 4285032552 4284835430 4284703588 4284572001 4284374623 4285624689 4291875024 4294177779 4287137928 4288453788 4294967295 4294769916 4294769916 4294704123 4294638330 4294638330 4294638330 4294638330 4294638330 4294572537 4292796126 4288322202 4285361517 4291743438 4285822068 4294967295 4292927712 4292927712 4292927712 4282292957 4281897691 4281567705 4281172439 4280052176 4292598747 4292467161 4292401368 4291348680 4283716692 4289374890 4285756274 4294769916 4292927712 4292927712 4292861919 4281897691 4291816703 4286828287 4286828287 4280052176 4292467161 4292401368 4292269782 4292138196 4283585106 4289374890 4285624689 4294704123 4292927712 4292861919 4292861919 4281567705 4291816703 4286828287 4286828287 4280052176 4292401368 4292269782 4292138196 4292006610 4283387983 4289374890 4285427566 4294638330 4292861919 4292861919 4292796126 4281172439 4280777173 4280447443 4280052176 4280052176 4292269782 4292138196 4292006610 4291875024 4283321678 4289374890 4285295724 4294572537 4292861919 4292796126 4292730333 4292664540 4292598747 4280447443 4292401368 4292269782 4292138196 4292006610 4291875024 4291743438 4283124812 4289374890 4285295724 4294572537 4292796126 4292730333 4292664540 4292598747 4292467161 4280447443 4292269782 4292138196 4292006610 4291875024 4291743438 4291546059 4283124812 4289374890 4285295724 4294243572 4292730333 4292664540 4292598747 4282292957 4281897691 4281567705 4281172439 4280052176 4291875024 4291743438 4291546059 4291348680 4283124812 4289374890 4285229931 4294111986 4292664540 4292598747 4292467161 4281897691 4291816703 4286828287 4286828287 4280052176 4291743438 4291546059 4291348680 4291151301 4282992970 4289374890 4285032553 4293980400 4292598747 4292467161 4292401368 4281567705 4291816703 4286828287 4286828287 4280052176 4291546059 4291348680 4291151301 4290953922 4282861640 4289374890 4284900966 4292861919 4292467161 4292401368 4292269782 4281172439 4280777173 4280447443 4280052176 4280052176 4291348680 4291151301 4290953922 4289967027 4282795590 4289374890 4285887862 4287730065 4291480266 4292269782 4292138196 4292006610 4291875024 4291743438 4291546059 4291348680 4291151301 4290953922 4289967027 4286677377 4284637794 4289374890 4289835441 4285690482 4284243036 4284045657 4283914071 4283716692 4283585106 4283387727 4283321677 4283124555 4283058506 4282926919 4282795847 4284637794 4286677377 4290164406 4294177779 4291743438 4289374890 4289374890 4289374890 4289374890 4289374890 4289374890 4289374890 4289374890 4289374890 4289374890 4289374890 4289374890 4290164406 4291875024 4294177779 4294177779 4289374890 4289374890 4289374890 4289374890 4289374890 4289374890 4289374890 4289374890 4289374890 4289374890 4289374890 4290164406 4291875024 4294177779)
	offset: (0@0))]! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPSequence
	^ self icons
		at: #iconModelBPSequence ifAbsentPut: [(Form
	extent: (16@19)
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4281913870 4281913870 4281913870 4281913870 4294967295 4289819915 4289819915 4289819915 4289819915 4294967295 4289013789 4289013789 4289013789 4289013789 4294967295 4294967295 4281913870 4289789872 4281990916 4281913870 4294967295 4289819915 4294962593 4294960765 4289819915 4294967295 4289013789 4293107093 4292310120 4289013789 4294967295 4294967295 4281913870 4282185227 4282378769 4281913870 4294967295 4289819915 4294957112 4294955021 4289819915 4294967295 4289013789 4291385929 4291120442 4289013789 4294967295 4294967295 4281913870 4281913870 4281913870 4281913870 4294967295 4289819915 4289819915 4289819915 4289819915 4294967295 4289013789 4289013789 4289013789 4289013789 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4281619424 4282343653 4282343653 4282211813 4282211813 4294967295 4294967295 4281619424 4282343653 4282343653 4282211813 4282211813 4294967295 4294967295 4294967295 4294967295 4282211813 4288528124 4288528124 4287542524 4282211813 4294967295 4294967295 4282211813 4288528124 4288528124 4287542524 4282211813 4294967295 4294967295 4294967295 4294967295 4282211813 4288528124 4286818555 4283925753 4282211813 4294967295 4294967295 4282211813 4288528124 4286818555 4283925753 4282211813 4294967295 4294967295 4294967295 4294967295 4282211813 4285897466 4283925753 4283925753 4282211813 4294967295 4294967295 4282211813 4285897466 4283925753 4283925753 4282211813 4294967295 4294967295 4294967295 4294967295 4282211813 4282211813 4282211813 4282211813 4282211813 4294967295 4294967295 4282211813 4282211813 4282211813 4282211813 4282211813 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294704123 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294901502 4294967295 4294967295 4294967295)
	offset: (0@0))]! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPTo
	^ 
	self icons
		at: #iconModelBPTo ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4288585374 4288059030 4288059030 4288124823 4288124823 4288059030 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4280887593 0 0 0 0 0 0 0 0 0 4278190080 4294967295 4294967295 4294967295 4294967295 4293190884 4278190080 4278190080 0 0 0 0 0 0 0 0 4278190080 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278190080 0 0 0 0 0 0 0 0 4278190080 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278190080 0 0 0 0 0 0 0 0 4278190080 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278190080 0 0 0 0 0 0 0 0 4278190080 4294967295 4294967295 4294967295 4294967295 4278190080 4294967295 1358954496 985842370 80991187 0 0 0 0 0 0 4278190080 4294967295 4294967295 4294967295 4278190080 3271557119 3892314112 3271557120 4127195136 4278190080 4278190080 3137339392 16777216 0 0 0 4278190080 4294967295 4294967295 4278190080 3439329279 1929379839 1442840575 3221225471 3221225471 3439329279 3439329279 2835349504 16777216 0 0 0 4278190080 4294967295 4294967295 4294967295 4060086272 3573547007 3741319168 4278190080 4278190080 4060086272 4060086272 3137339392 117440512 0 0 0 4278190080 4294967295 4294967295 4294967295 4294967295 4278190080 2936012799 838860800 1455275453 167772160 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3909091328 2952790016 0 167772160 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: (0@0))]! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPVariable
	^ self icons
		at: #iconModelBPVariable ifAbsentPut: [(Form
	extent: (22@20)
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4289582798 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4290105054 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4289058518 4282561990 4286887357 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4287418062 4285773262 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4288468711 4281443782 4285248966 4292798430 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4290631374 4280923590 4280923590 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4290105054 4282559950 4282557877 4290105038 4292798439 4292271847 4290631399 4294967295 4294967295 4294967295 4290107102 4292274159 4294967295 4291221214 4280921550 4284726717 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4284132814 4280392902 4286297533 4293388246 4291219158 4286887374 4283608534 4285775318 4291749863 4284724694 4281965757 4287413710 4294967295 4291219158 4280921550 4280392885 4294967295 4294967295 4294967295 4294967295 4294967295 4287942342 4280919502 4281965749 4290629334 4294967295 4293388254 4286297533 4280392902 4280392902 4282557877 4283604149 4286295477 4290631374 4294967295 4290631374 4280923590 4279276725 4294967295 4294967295 4294967295 4294967295 4294967295 4284724669 4279281094 4284722621 4294967295 4294967295 4294967295 4291219150 4280392902 4279276742 4283604149 4292269774 4294967295 4294967295 4294967295 4289056478 4280397262 4279276725 4294967295 4294967295 4294967295 4294967295 4294967295 4280919502 4280395206 4287413710 4294967295 4294967295 4294967295 4294967295 4282559958 4279801021 4283604157 4294967295 4294967295 4294967295 4294967295 4286303950 4279807430 4281963701 4294967295 4294967295 4294967295 4294967295 4294967295 4279805382 4281441469 4289580758 4294967295 4294967295 4294967295 4290105046 4282557902 4279276742 4281443782 4291745494 4294967295 4294967295 4291221214 4283608534 4279276725 4286297533 4294967295 4294967295 4294967295 4294967295 4294967295 4281443782 4281965749 4291219158 4291749863 4286887374 4285244870 4283082182 4286293437 4279276733 4279801021 4283082165 4286887357 4294967295 4287418078 4280395206 4280915125 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4284132789 4281970109 4291745502 4290633447 4284130758 4283079861 4288464582 4292269774 4284720565 4281961645 4283604149 4290105038 4290633422 4282561990 4280390829 4287935933 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4288464582 4280921533 4290105046 4294967295 4291745494 4291219150 4294967295 4294967295 4294967295 4290627270 4291745494 4294967295 4285251014 4280917173 4286887357 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4291745486 4283082165 4286301902 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4286889430 4282559933 4287937981 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4290105038 4289056470 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4291749863 4287937981 4291745486 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
	offset: (0@0))]! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPWSDLWsdl
	^ self icons
		at: #iconModelBPWSDLWsdl ifAbsentPut: [(Form
	extent: (16@18)
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4284901018 4284901018 4284901018 4284769689 4284769689 4284703639 4284572053 4284440467 4284440467 4284440467 4284440467 4284440467 4284440467 4294967295 4294967295 4294967295 4284901018 4294967295 4294967295 4294967295 4294835710 4294704125 4294572540 4294374907 4294112249 4293914615 4293651702 4293453812 4283255936 4292401368 4294967295 4294967295 4284901018 4294967295 4294967295 4294835710 4294704125 4294506747 4294309370 4294111992 4293914358 4293585653 4293322484 4293125106 4283255936 4289901234 4294967295 4294967295 4284901018 4294901759 4294835710 4294703868 4293651185 4289309120 4288322230 4288980158 4292795884 4293322483 4292993521 4292795887 4283255936 4289901234 4294967295 4294967295 4284835225 4294769918 4294638332 4289374913 4282598260 4283387773 4284966799 4283321980 4282532467 4288519610 4292730350 4292467181 4283255936 4289901234 4294967295 4294967295 4284703639 4294572540 4291085268 4281742954 4288256437 4292138211 4290361807 4291677920 4286216864 4281742954 4290953947 4292072425 4283058557 4289901234 4294967295 4294967295 4284572053 4294309371 4285887898 4286611618 4289703879 4281742954 4281742954 4281742954 4285361558 4283848324 4287269294 4291743463 4282861435 4289901234 4294967295 4294967295 4284440467 4294111993 4281742954 4290493136 4283256444 4284045701 4289177283 4281742954 4287335343 4284440460 4287072173 4291414501 4282663800 4289901234 4294967295 4294967295 4284308625 4293848567 4281742954 4290164686 4281742954 4286874792 4290296274 4281742954 4286480037 4281742954 4289440716 4291085539 4282466677 4289901234 4294967295 4294967295 4284111502 4293519860 4285558935 4285493143 4286874536 4281742954 4281742954 4284440460 4281742954 4286216867 4291085537 4290822112 4282334835 4289901234 4294967295 4294967295 4283979916 4293190898 4289967052 4281742954 4286677415 4288651199 4290493398 4291546086 4289967315 4291019489 4290756320 4290493405 4282137712 4289901234 4294967295 4294967295 4283782793 4292861935 4292598765 4289440713 4283124603 4281742954 4281742954 4281742954 4283585154 4290690783 4290427870 4290230236 4282006126 4289901234 4294967295 4294967295 4283782793 4292532973 4292269803 4291940841 4291743207 4289506508 4288651203 4288453825 4290032855 4290427357 4290164443 4289967066 4282006126 4289901234 4294967295 4294967295 4283585159 4292204010 4291940840 4291677414 4291348708 4291151074 4290822368 4290559198 4290361821 4290098651 4289901274 4289704153 4281874540 4289901234 4294967295 4294967295 4283453315 4283190657 4283058558 4282861435 4282861435 4282664056 4282466677 4282269298 4282269298 4282137712 4282006126 4281874539 4281742954 4289901234 4294967295 4294967295 4294967295 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
	offset: (0@0))]! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelBPXSDSchema
	^ self icons
		at: #iconModelBPXSDSchema ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 4287203761 4284901018 4284637845 4284242831 4283716745 4283256193 4282664313 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4284901018 16777215 4293454079 4292993535 4292401407 4292401407 4282203506 4289901234 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4284637846 4292993535 4291611903 4291611903 4291611903 4291611903 4281809003 4289901234 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4284243088 4292401407 4291611903 4291611903 4291611903 4291611903 4281545575 4289901234 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4283717000 4283256192 4282729593 4282203761 4281874540 4281545575 4281545575 4289901234 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4289901234 4289901234 4285624688 4289901234 4289901234 4289901234 4289901234 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4285361260 4289901234 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4290427578 4285953911 4285756275 4285558896 4285295468 4284966759 4284637794 4284308828 4283914071 4283519313 4288979876 16777215 16777215 16777215 16777215 16777215 4285953654 4292401368 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 4282729796 4292401368 16777215 16777215 16777215 16777215 4285756018 4289901234 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4282269503 4289901234 16777215 16777215 4282102075 4278229248 4278228224 4278226688 4278224896 4278222848 16777215 16777215 16777215 4282091990 4278215111 4278214339 4278212797 4278211255 4278209713 16777215 4278229248 16777215 4289060998 4287289186 4284992307 4278220544 4289901234 16777215 16777215 4278215110 16777215 4291027455 4289845759 4288269823 4278207658 4289901234 4278227968 4287289186 4284992307 4284992307 4284992307 4278218752 4289901234 16777215 16777215 4278213568 4289845759 4288269823 4288269823 4288269823 4278205859 4289901234 4278226688 4278224640 4278222848 4278220544 4278218752 4278217216 4289901234 16777215 16777215 4278211769 4278209970 4278208429 4278206887 4278205602 4278204317 4289901234 16777215 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 16777215 16777215 16777215 4289901234 4289901234 4289901234 4289901234 4289901234 4289901234 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!A4BPUIIcons class methodsFor: 'iconsBP' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
iconModelSOAContext
	^ self icons
		at: #iconModelSOAContext ifAbsentPut: [(Form
	extent: (18@17)
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4281479730 4294956335 4281479730 4292203989 4294967295 4283275741 4278219983 4278218442 4278216644 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4281479730 4294956335 4281479730 4292203989 4294967295 4278219984 4290234606 4290234606 4278214846 4292203989 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4281479730 4294956335 4281479730 4285493103 4285493103 4278219213 4290234606 4290234606 4278213306 4292203989 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4281479730 4294956335 4281479730 4281479730 4281479730 4278217672 4286883822 4286883822 4278211508 4292203989 4294967295 4294967295 4283275741 4278219727 4278218958 4278217675 4294967295 4294967295 4281479730 4294956335 4281479730 4292203989 4292203989 4278216130 4284781038 4284781038 4278210224 4292203989 4294967295 4294967295 4278219727 4290234606 4290234606 4278216134 4294967295 4294967295 4281479730 4294956335 4281479730 4292203989 4294967295 4278214589 4278212279 4278210481 4278208939 4292203989 4294967295 4294967295 4278218958 4290234606 4290234606 4278213825 4285493103 4285493103 4281479730 4294956335 4281479730 4292203989 4294967295 4294967295 4292203989 4292203989 4292203989 4292203989 4294967295 4286611584 4278217675 4286883822 4286883822 4278211259 4281479730 4281479730 4281479730 4294956335 4281479730 4292203989 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278216134 4284781038 4284781038 4278207923 4292203989 4292203989 4281479730 4294956335 4281479730 4292203989 4294967295 4283275741 4278219727 4278218958 4278217675 4294967295 4294967295 4294967295 4278213825 4278211259 4278207923 4278204330 4292203989 4294967295 4281479730 4294956335 4281479730 4292203989 4294967295 4278219727 4290234606 4290234606 4278216134 4292203989 4294967295 4294967295 4294967295 4292203989 4292203989 4292203989 4292203989 4294967295 4281479730 4294956335 4281479730 4285493103 4285493103 4278218958 4290234606 4290234606 4278213825 4292203989 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4281479730 4294956335 4281479730 4281479730 4281479730 4278217675 4286883822 4286883822 4278211259 4292203989 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4281479730 4294956335 4281479730 4292203989 4292203989 4278216134 4284781038 4284781038 4278207923 4292203989 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4281479730 4294956335 4281479730 4292203989 4294967295 4278213825 4278211259 4278207923 4278204330 4292203989 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4292203989 4292203989 4292203989 4294967295 4294967295 4292203989 4292203989 4292203989 4292203989 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
	offset: (0@0))]! !

!A4BPUIIcons class methodsFor: 'iconsBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 22:54'!
iconSequenceFlow
	^ self icons
		at: #SequenceFlow
		ifAbsentPut: [ 
			Form
				extent: 20 @ 20
				depth: 32
				fromArray:
					#(4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4292269782 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4282729797 4282006074 4291348680 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294177779 4286545791 4286545791 4286545791 4286545791 4286545791 4286545791 4286545791 4286545791 4286545791 4280624421 4278190080 4279571733 4283782485 4293585642 4294967295 4294967295 4294967295 4294967295 4294967295 4294177779 4286545791 4286545791 4286545791 4286545791 4286545791 4286545791 4286545791 4286545791 4286545791 4280624421 4278190080 4279571733 4283782485 4293585642 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4282729797 4282006074 4291348680 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4292269782 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
				offset: 0 @ 0 ]! !

!A4BPUIIcons class methodsFor: 'generator' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
icons
	^ icons ifNil: [icons := Dictionary new]! !

!A4BPUIIcons class methodsFor: 'iconsMAIN' stamp: 'AlvaroJosePeraltaOcampo 11/20/2015 08:48'!
mainIcon
	^ self icons
		at: #putIconKey
		ifAbsentPut:
			[ Form
				extent: 20 @ 20
				depth: 32
				fromArray:
					#(16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 4288980132 4288980132 4288980132 4288980132 4288980132 4288980132 4288980132 4288980132 16711680 16711680 16711680 16711680 16711680 16711680 16711680 4294887460 4294887460 4294887460 16711680 16711680 4288980132 4288980132 4288980132 4292774228 4292381788 4288980132 4289045925 4288980132 4284127956 4284127956 4294887460 4294887460 4294887460 16711680 16711680 4294887460 4294887460 4294887460 4284127956 4284127956 4288980132 4288980132 4288980132 4292902460 4292510280 4288980132 4288980132 4288980132 16711680 16711680 4294887460 4294887460 4294887460 16711680 16711680 4294887460 4294887460 4294887460 16711680 16711680 4288980132 4289045925 4289045925 4288980132 4287199856 4280816906 4280816906 4280816906 4280816906 4280816906 4280816906 4294887460 4294887460 16711680 16711680 16711680 16711680 16711680 16711680 16711680 4288980132 4289045925 4288980132 4284770669 4280816906 4288980132 4288980132 4288980132 16711680 16711680 4280816906 16711680 16711680 16711680 16711680 4289121685 4289121685 4289121685 16711680 16711680 4288980132 4288980132 4284901996 4280816906 4288980132 4288193450 4288980132 4288980132 16711680 16711680 4289121685 4280816906 4289121685 16711680 16711680 4289121685 4289121685 4289384345 16711680 16711680 4288980132 4288980132 4280816906 4288980132 4288980132 4287996832 4288455837 4288980132 16711680 16711680 4289121685 4289121685 4280816906 16711680 16711680 4289121685 4289121685 4289121685 16711680 16711680 4288980132 4288980132 4280816906 4288980132 4288980132 4294887460 4294887460 4288980132 16711680 16711680 4289121685 4289121685 4280816906 16711680 16711680 16711680 16711680 16711680 16711680 16711680 4288980132 4288980132 4280816906 4288980132 4288980132 4294887460 4294887460 4288980132 16711680 16711680 16711680 16711680 4280816906 16711680 16711680 4294887460 4294887460 4294887460 16711680 16711680 4288980132 4288980132 4280816906 4289308576 4288980132 4294887460 4294887460 4288980132 16711680 16711680 4294887460 4294889799 4280816906 16711680 16711680 4294887460 4294887460 4294887460 4284127956 4284127956 4288980132 4288980132 4280816906 4288980132 4288980132 4289178026 4289178026 4288980132 16711680 16711680 4294887460 4294887460 4280816906 16711680 16711680 4294887460 4294887460 4294887460 16711680 16711680 4288980132 4289178284 4284637279 4280816906 4286204973 4289701537 4289112234 4288980132 16711680 16711680 4294887460 4280816906 4294887460 16711680 16711680 16711680 4284127956 16711680 16711680 16711680 4288980132 4289045925 4288980132 4280816906 4285682493 4288848546 4288980132 4288980132 16711680 16711680 4280816906 4283265683 16711680 16711680 16711680 16711680 4284127956 16711680 16711680 16711680 4288980132 4288980132 4288980132 4288980132 4280816906 4280816906 4280816906 4280816906 4280816906 4280816906 4283265683 4284127956 4289054693 16711680 16711680 16711680 4284127956 16711680 16711680 16711680 4288980132 4288980132 4288980132 4288980132 4288980132 4288980132 4288980132 4288980132 16711680 16711680 4290237162 4284324820 4284127956 4289054693 16711680 4289121685 4289121685 4289121685 16711680 16711680 4288980132 4288980132 4288980132 4288980132 4288980132 4289243304 4289440683 4289769648 16711680 16711680 16711680 4289054693 4284127956 4284127956 16711680 4289121685 4289121685 4289121685 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 4289054693 4289054693 4284127956 4289054693 4289121685 4289121685 4289121685 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 4289054693 4284127956 4284127956 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 16711680 4289054693 4289054693)
				offset: 0 @ 0 ]! !

!A4BPUIIcons class methodsFor: 'iconsMAIN' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
openIcon
	^ GLMUIThemeExtraIcons glamorousOpen! !

!A4BPUIIcons class methodsFor: 'iconsMAIN' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 10:03'!
resetIcons
	icons := nil! !

Object subclass: #A4BPUIMainModel
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI'!

!A4BPUIMainModel class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcamop 3/30/2015 23:41'!
buildMainModel
	^ self new! !

!A4BPUIMainModel methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcamop 3/30/2015 23:02'!
accept: anVisitor
	anVisitor visitA4BPObject: self! !

!A4BPUIMainModel methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcamop 3/30/2015 23:37'!
displayA4BPElements
	^ A4BPSOAAnalyzer instance! !

!A4BPUIMainModel methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcamop 3/30/2015 22:52'!
initialize
	super initialize.
	perspectives := A4BPDictionary new.! !

!A4BPUIMainModel methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcamop 3/30/2015 22:57'!
label
	^ ''! !

Object subclass: #A4BPUIWorldMenuBrowser
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Browser'!

!A4BPUIWorldMenuBrowser class methodsFor: 'go' stamp: 'AlvaroJosePeraltaOcamop 3/30/2015 23:31'!
go
	A4BPUIMain open: A4BPUIMainModel buildMainModel! !

!A4BPUIWorldMenuBrowser class methodsFor: 'go' stamp: 'AlvaroJosePeraltaOcampo 11/17/2015 19:14'!
menuCommandOn: aBuilder 
	<worldMenu> 
	(aBuilder item: #'A4BP')
			icon: A4BPUIIcons mainIcon;
			label:'A4BP Panel';
			help: 'Browse and create diferent kind of analisis in diferent SOA context base on '.
	(aBuilder item: #'A4BPMainPanel')
			icon: A4BPUIIcons mainIcon;
			parent: #A4BP;
			action:[self go];
			label:'A4BP Panel';
			help: 'Principal main panel'.
	(aBuilder item: #'Extras')
			parent: #A4BP;
			label:'Extras';
			help: 'Browse to view aditional information about the system view'.
	! !

Object subclass: #A4BPVCBPObject
	instanceVariableNames: 'bpObj visible'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

A4BPVCBPObject subclass: #A4BPVCBForAllModel
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

A4BPVCBForAllModel subclass: #A4BPVCBasicRelations
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

!A4BPVCBasicRelations methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcampo 2/17/2016 12:19'!
executeMondrianViz: mondrian
	| cv p|
	p:= bpObj.
	cv := A4BPUIBVFactory colorVisitor.
	self addInspect: mondrian.
	mondrian shape circle color:[ :n | n accept: cv ];size:[ :n | n size * 10].
	mondrian nodes: p flowElements.
	mondrian shape line.
	mondrian edges connectToAll: [:n|n flows].
	mondrian layout force charge: -150.
	mondrian build.
	! !

!A4BPVCBasicRelations methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcampo 2/17/2016 13:00'!
executeVisualization: view
	| b cv p legendBuilder entities|
	"Starting with initialize variables"
	b := RTMondrian new.
	view @ RTDraggableView.
	cv := A4BPUIBVFactory colorVisitor.
	p:= bpObj.
	b view: view.
	self addInspect: b.
	"Do visualization"	
	self executeMondrianViz: b.
	"add the legend"
	legendBuilder := RTLegendBuilder new view: view.
	entities := Dictionary new.
	p allChildrenNodes do:[ :n | entities at: n class put: n class].
	entities do:[ :n |  legendBuilder addColor:(n new accept: cv) text: n name ].
	legendBuilder right.
	legendBuilder build.
	
	! !

!A4BPVCBasicRelations methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcamop 6/3/2015 14:40'!
name
	^ 'Basic Relations'! !

!A4BPVCBPObject class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 2/16/2016 12:00'!
init: model
	|instance|
	instance := self new.
	instance bpObj:model.
	^ instance.! !

!A4BPVCBPObject methodsFor: 'utils' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 15:03'!
addInspect: v
	v interaction
		popupText: #name;
		action: #inspect! !

!A4BPVCBPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 2/17/2016 11:27'!
addLegendBuilderView: view values: values
	|legendBuilder entities cv |
	cv := A4BPUIBVFactory colorVisitor.
	legendBuilder := RTLegendBuilder new view: view.
	entities := Dictionary new.
	values do:[ :p | entities at: p class put: p class].
	entities do:[ :p |  legendBuilder addColor:(p new accept: cv) text: p name ].
	legendBuilder right.
	legendBuilder build.
	! !

!A4BPVCBPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcamop 6/4/2015 12:16'!
addlegendBuilderView: view values: values
	self addLegendBuilderView: view values: values! !

!A4BPVCBPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 15:03'!
bpObj: abpObj
	bpObj := abpObj! !

!A4BPVCBPObject methodsFor: 'private' stamp: 'AlvaroJosePeraltaOcamop 5/24/2015 00:19'!
executeInRoassal2: glmc
	| r2 |
	r2 := glmc roassal2.
	r2
		painting: [ :view :viewBuilder | 
			"For all visualization can be draggable"
			view @ RTDraggableView.
			self executeVisualization: view.
			view canvas focusOnCenterScaled ];
		title: A4BPUII18n msg msgVisualization! !

!A4BPVCBPObject methodsFor: 'private' stamp: 'AlvaroJosePeraltaOcampo 3/3/2015 13:29'!
executeInRoassal3d: glmc
	glmc roassal3d
		painting: [ :view :viewBuilder | self executeVisualization: view ];
		title: A4BPUII18n msg msgVisualization! !

!A4BPVCBPObject methodsFor: 'private' stamp: 'AlvaroJosePeraltaOcampo 3/3/2015 13:29'!
executeInRoassal: glmc
	glmc roassal
		painting: [ :view :viewBuilder | self executeVisualization: view ];
		title: A4BPUII18n msg msgVisualization! !

!A4BPVCBPObject methodsFor: 'execute' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 15:03'!
executeVisualization: view
	| v p |
	v := view.
	p := bpObj.
	v shape label.
	v node: [ p ]! !

!A4BPVCBPObject methodsFor: 'execute' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 15:03'!
executeVisualizationOnGLMC: glmc
	self executeInRoassal2: glmc! !

!A4BPVCBPObject methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 15:03'!
initialize
	super initialize.
	visible :=true.! !

!A4BPVCBPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcamop 6/3/2015 14:40'!
name
	^ 'Basic'! !

!A4BPVCBPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 15:03'!
visible
	^ visible! !

!A4BPVCBPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 15:03'!
visible: aVisible
	visible := aVisible ! !

A4BPVCBPObject subclass: #A4BPVCBPProcess
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

A4BPVCBPProcess subclass: #A4BPVCBPProcessDashBoard
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

!A4BPVCBPProcessDashBoard methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcampo 3/2/2015 19:04'!
executeVisualization: view
	| vPSimple  cv rtc|
	
	cv := A4BPUIBPModelColorBuilderVisitor new.
	rtc := A4BPRTComposer new.
	rtc gap:35.
	rtc view: view.

	vPSimple:= A4BPVCBasicRelations new.
	vPSimple bpObj: bpObj.
	vPSimple executeVisualization: view.
	rtc propagateHighlight.
	rtc group: #plot.
	
	vPSimple:= A4BPVCBPProcessNormalLayout new.
	vPSimple bpObj: bpObj.
	vPSimple executeVisualization: view.
	
	rtc propagateHighlight.
	rtc group: #stat.
	
	rtc move: #plot below: #stat.
! !

!A4BPVCBPProcessDashBoard methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 3/2/2015 20:27'!
initialize
	super initialize.! !

!A4BPVCBPProcessDashBoard methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcamop 6/3/2015 14:41'!
name
	^ 'Process dash board'! !

A4BPVCBPProcess subclass: #A4BPVCBPProcessNormalLayout
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

!A4BPVCBPProcessNormalLayout methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:37'!
executeVisualization: view
	| v p cv legendBuilder |
	v := RTMondrian new.
	v view: view.
	view @ RTDraggableView.
	p := bpObj.
	cv := A4BPUIBVFactory colorVisitor.
	v
		node: 'variables'
		forIt: [ 
			v interaction
				popupText: #name;
				action: #inspect.
			v shape rectangle
				color: [ :var | var accept: cv ];
				size: [ :var | var numberOfInvokes ].
			v nodes: p allVariables.
			v layout grid ].
	v
		node: 'actitivies'
		forIt: [ 
			v interaction
				popupText: #name;
				action: #inspect.
			v shape circle
				size: 10;
				color: [ :n | n accept: cv ].
			v nodes: p allActivities.
			v edges connectFrom: #parent.
			v layout grid ].
	v
		node: 'wsdl'
		forIt: [ 
			v interaction
				popupText: #name;
				action: #inspect.
			v shape rectangle
				size: 10;
				color: [ :var | var accept: cv ].
			v nodes: p allWSDLs.
			v layout verticalLine ].
	v edges objects: p allActivities from: #yourself to: [ :n | n linkOut ].
	v edges objects: p allVariables from: #yourself toAll: [ :n | n lstRelations ].
	v layout horizontalLine.
	v build.
	v view pushFrontEdges.	"add the legend"
	legendBuilder := A4BPRTLegendBuilder new
		view: view;
		addMetamodel: p.
	legendBuilder build! !

!A4BPVCBPProcessNormalLayout methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcamop 6/3/2015 14:41'!
name
	^ 'Process normal layout'! !

A4BPVCBPProcess subclass: #A4BPVCBPProcessSimple
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

!A4BPVCBPProcessSimple methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcamop 6/3/2015 14:23'!
executeVisualization: view
	| v p cv |
	v := RTMondrian new.
	v view: view.
	view @ RTDraggableView .
	p := bpObj.
	cv := A4BPUIBVFactory colorVisitor.
	v shape rectangle color: (Color lightGray alpha:0.2).
	v
		node: 'v'
		forIt: [ 
			self addInspect: v.
			v shape rectangle
				color: Color lightOrange;
				size: [ :var | var numberOfInvokes ].
			v nodes: p allVariables.
			v layout verticalLine ].
	v shape rectangle color: (Color lightGray alpha:0.2).		
	v
		node: 'activities'
		forIt: [ 
			self addInspect: v.
			v shape circle
				size: 10;
				"cv simple visitor color builder"
				color: [ :n | n accept: cv ].
			"all activities in the metamodel"
			v nodes: p allActivities.
			v edges connectToAll: #flows.
			v layout tree ].
	v shape rectangle color: (Color lightGray alpha:0.2).
	v
		node: 'wsdl'
		forIt: [ 
			self addInspect: v.
			v shape rectangle
				size: 10;
				color: Color lightGreen.
			v nodes: p allWSDLs.
			v layout verticalLine ].
	v edges objects: p allActivities from: #yourself to: [ :n | n linkOut ].
	v edges objects: p allVariables from: #yourself toAll: [ :n | n lstRelations ].
	v layout horizontalLine.
	v build.
	v view pushFrontEdges.! !

!A4BPVCBPProcessSimple methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcamop 6/3/2015 14:41'!
name
	^ 'Simple view'! !

A4BPVCBPObject subclass: #A4BPVCSOAContext
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

A4BPVCSOAContext subclass: #A4BPVCSOAContextProcessAllStandarView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

!A4BPVCSOAContextProcessAllStandarView methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 2/17/2016 13:33'!
executeVisualization: view
	| v soa cv lb |
	v := RTMondrian new.
	v view: view.
	soa := bpObj.
	cv := A4BPUIBVFactory colorVisitor.
	"Do visualization"
	v interaction
		popupText: [ :a | '',a name,'-> [CFC:' , 
				a metricCFC asString , ' , NoRel:' , 
				a numberOfRelations asString , ']' ];
		action: #inspect.
	
	v nodes: soa process forEach:[ :p | 
		( BPMN20StandarVisualizationSvg init: p ) executeVisualization: v view.
	].
	v layout grid.
	v build.
	
	"Create the legend builder"
	lb := RTLegendBuilder new view: view.
	lb offset:1.
	lb addText:'width:metric CFC Abs'.
	lb addText:'height: metric CFC'.
	lb addText:'color number Of Relations'.
	lb below.
	lb build.	
	
	self addLegendBuilderView: view values: soa allNodes.	
	
! !

!A4BPVCSOAContextProcessAllStandarView methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 2/17/2016 13:34'!
name
	^ 'All Standar View - Under Development'! !

A4BPVCSOAContext subclass: #A4BPVCSOAContextProcessBasicRelations
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

!A4BPVCSOAContextProcessBasicRelations methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 2/17/2016 13:22'!
executeVisualization: view
	| v soa cv lb |
	v := RTMondrian new.
	v view: view.
	soa := bpObj.
	cv := A4BPUIBVFactory colorVisitor.
	"Do visualization"
	v interaction
		popupText: [ :a | '',a name,'-> [CFC:' , 
				a metricCFC asString , ' , NoRel:' , 
				a numberOfRelations asString , ']' ];
		action: #inspect.
	v shape rectangle color: (Color gray alpha:0.2).
	v nodes: soa process forEach:[ :p | 
		v shape label text:p.
		v node:p.
		( A4BPVCBasicRelations init: p ) executeMondrianViz: v.
	].
	v layout grid.
	v build.
	
	"Create the legend builder"
	lb := RTLegendBuilder new view: view.
	lb offset:1.
	lb addText:'width:metric CFC Abs'.
	lb addText:'height: metric CFC'.
	lb addText:'color number Of Relations'.
	lb below.
	lb build.	
	
	self addLegendBuilderView: view values: soa allNodes.	
	
! !

!A4BPVCSOAContextProcessBasicRelations methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 2/17/2016 11:33'!
name
	^ 'Basic Relations'! !

A4BPVCSOAContext subclass: #A4BPVCSOAContextProcessCFC
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

!A4BPVCSOAContextProcessCFC methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 2/16/2016 08:33'!
executeVisualization: view
	| v soa cv  |
	v := RTMondrian new.
	v view: view.
	soa := bpObj.
	cv := A4BPUIBVFactory colorVisitor.
	"Do visualization"
	
	v interaction
		popupText: [ :a | 
			'',a name,'-> [CFC:' , a metricCFC asString , ' , NoRel:' , a numberOfRelations asString , ']' ];
		action: #inspect.
	v shape rectangle
		height: [ :a | a metricCFC];
		width: [ :a | a numberOfRelations];
		color: [:n | n accept:cv].
	v nodes: soa process.
	"add the legend"
	self addLegendBuilderView: view values: soa process.
	
	v build.! !

!A4BPVCSOAContextProcessCFC methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcamop 6/3/2015 09:51'!
name
	^ 'Complexity'! !

A4BPVCSOAContext subclass: #A4BPVCSOAContextProcessCFCComplexity
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

!A4BPVCSOAContextProcessCFCComplexity methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 2/17/2016 11:22'!
executeVisualization: view
	| v soa cv lb |
	v := RTMondrian new.
	v view: view.
	soa := bpObj.
	cv := A4BPUIBVFactory colorVisitor.
	"Do visualization"
	v interaction
		popupText: [ :a | '',a name,'-> [CFC:' , 
				a metricCFC asString , ' , NoRel:' , 
				a numberOfRelations asString , ']' ];
		action: #inspect.
	
	v nodes: soa process forEach:[ :p | 
		( BPMN20MetricCFCExample init: p ) executeMondrianViz: v.
	].
	
	v build.
	
	"Create the legend builder"
	lb := RTLegendBuilder new view: view.
	lb offset:1.
	lb addText:'width:metric CFC Abs'.
	lb addText:'height: metric CFC'.
	lb addText:'color number Of Relations'.
	lb below.
	lb build.	
	
	self addLegendBuilderView: view values: soa allNodes.	
	
! !

!A4BPVCSOAContextProcessCFCComplexity methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 2/16/2016 12:14'!
name
	^ 'CFC Complexity'! !

A4BPVCSOAContext subclass: #A4BPVCSOAContextRelations
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

!A4BPVCSOAContextRelations methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcamop 6/4/2015 14:02'!
executeVisualization: view
	| b colorv |
	b := RTMondrian new.
	colorv := A4BPUIBVFactory colorVisitor.
	b view: view.
	"start the visualization"
	b shape circle color:[:node | node accept:colorv]; size:[:n | n metricCFCAbs].
	b nodes: bpObj allNodes.
	b edges connectToAll: [ :node | node allRelations ].
	b layout grid.
	b build.

	"add the legend"
	self addLegendBuilderView: view values: bpObj allNodes.
		
! !

!A4BPVCSOAContextRelations methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 11:22'!
name
	^ 'Relations between elements'! !

A4BPVCSOAContext subclass: #A4BPVCSOAContextRelationsBetweenProcess
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

!A4BPVCSOAContextRelationsBetweenProcess methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcamop 6/3/2015 14:57'!
executeVisualization: view
	| b nodes legendBuilder colorv |
	view @ RTDraggableView.
	b := RTMondrian new.
	colorv := A4BPUIBPModelColorBuilderVisitor new.
	b view: view.
	nodes := bpObj process.
	"---------------------------------------------------------------------------------------------"
	self addInspect: b.
	b shape rectangle color: (Color lightGray alpha: 0.2).
	b nodes: nodes forEach:[ :n |  
		b shape label text: n aName.
		b node: n.
		b shape rectangle
			fillColor: [ :p | (p accept: colorv)];
			height: [ :p | p metricCFC log:2 ];
			width: [ :p | p numberOfActivities log:2 ].
		b node:n.
		b layout verticalLine.
		].
	b shape arrowedLine color: Color black.
	b edges objects: nodes from: #yourself toAll: #outFlows.
	
	b layout forceWithCharge: -1500.
	b build.	
	"add the legend"
	legendBuilder := RTLegendBuilder new view: view.
	legendBuilder 
		addColor: (colorv visitBPProcess: nil)
		text: 'BPEL20 width: numberOfActivities heigth: metricCFC'.
	legendBuilder 
		addColor: (colorv visitBPMN20DefinitionsImpl: nil)
		text: 'BPMN20 w:#Activities h:CFC'.
	legendBuilder build.
	"---------------------------------------------------------------------------------------------"! !

!A4BPVCSOAContextRelationsBetweenProcess methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 11:22'!
name
	^ 'Relations between process'! !

A4BPVCSOAContext subclass: #A4BPVCSOAContextSimple
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

!A4BPVCSOAContextSimple methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcamop 6/5/2015 09:29'!
executeVisualization: view
	| v soa lst1 lst2 i size |
	v := RTMondrian new.
	v view: view.
	self addInspect: v.
	soa := bpObj.
	lst1 := OrderedCollection new.
	lst2 := OrderedCollection new.
	i := 0.
	size := soa wsdls size.
	lst1 := soa wsdls values copyFrom: 1 to: size // 2.
	lst2 := soa wsdls values copyFrom: size // 2 to: size - 1.
	self viewWSDLBuilder: v onlst: lst1.
	self viewProcessBuilder: v onlst: soa process.
	self viewWSDLBuilder: v onlst: lst2.
	v layout verticalLine.
	v build.
	soa process
		do: [ :p | 
			v shape line color: Color gray.
			v edges objects: p allActivities from: #yourself toAll: [ :object | object relations ] ].
	self addLegendBuilderView: view values: soa allNodes! !

!A4BPVCSOAContextSimple methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 11:22'!
name
	^ 'Complete view'! !

!A4BPVCSOAContextSimple methodsFor: 'view' stamp: 'AlvaroJosePeraltaOcamop 6/4/2015 16:24'!
viewProcessBuilder: v onlst: nodes
	| cv |
	cv := A4BPUIBVFactory colorVisitor.
	v shape rectangle fillColor: (Color lightGray alpha:0.1).	
	v node: 'process' forIt: [
			v shape rectangle fillColor:[ :n | (n accept: cv) alpha:0.2 ].
			"add the nodes to paint, int this case the node represent the process"
			v nodes: nodes forEach: [ :p | 
					v shape label text: ( p aName ).
					v node:p aName.
					v shape rectangle fillColor: (Color white alpha:0.6).	
					v node: 'variables' forIt: [ 
							v shape rectangle size: [ :var | var numberOfInvokes ];
							fillColor: (Color green alpha:0.2).
							v nodes: p allVariables.
							v layout grid ].
					v shape rectangle fillColor: (Color lightGray alpha:0.6).	
					v node: 'activities' forIt: [ 
							v shape circle 
								size: 10;
								color: [ :n | n accept: cv ].
							v nodes: p allActivities.
							"v edgesFrom: #parent."
							v layout grid ].
				 v layout grid.
			].
		v layout grid
	].
! !

!A4BPVCSOAContextSimple methodsFor: 'view' stamp: 'AlvaroJosePeraltaOcamop 6/3/2015 15:23'!
viewWSDLBuilder: v onlst: nodes
	| cv |
	self addInspect: v.
	cv := A4BPUIBVFactory colorVisitor.
	nodes size < 1
		ifTrue: [ ^ self ].	"start visualization"
	v shape rectangle fillColor: (Color lightGray alpha: 0.1).
	v
		node: 'interfaces'
		forIt: [ 
			v shape rectangle size:10; fillColor: [ :wsdl | wsdl accept: cv ].
			v nodes: nodes ]! !

A4BPVCSOAContext subclass: #A4BPVCSOADashBoard
	instanceVariableNames: 'cv rtc'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

!A4BPVCSOADashBoard methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcamop 6/5/2015 10:32'!
executeVisualization: view
	"this visualization is execute using roassal1"
	| vPSimple |
	cv := A4BPUIBPModelColorBuilderVisitor new.
	rtc := A4BPRTComposer new.
	rtc gap:35.
	rtc view: view.

	vPSimple:= A4BPVCSOAContextRelations new.
	vPSimple bpObj: bpObj.
	vPSimple executeVisualization: view.
	rtc propagateHighlight.
	rtc group: #stat.
	
	
	vPSimple:= A4BPVCSOAProcessCharter01 new.
	vPSimple bpObj: bpObj.
	vPSimple executeVisualization: view.
	rtc propagateHighlight.
	rtc group: #plot.
	
	
	rtc move: #plot onTheRightOf: #stat.
! !

!A4BPVCSOADashBoard methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 11:22'!
name
	^ 'Dash Board'! !

A4BPVCSOAContext subclass: #A4BPVCSOAProcessCharter01
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

!A4BPVCSOAProcessCharter01 methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcamop 6/5/2015 09:33'!
executeVisualization: view
	| b cv lb ds p|
	b := RTGrapher new.
	b view:view.
	view @ RTDraggableView.
	p:= bpObj.
	cv := A4BPUIBVFactory colorVisitor.
	b extent: 500 @ 500.

	"do visualization"	
	self addInspect: b.
	
	ds := RTStackedDataSet new.
	ds interaction popup.
	ds dotShape circle color: [:n | n accept:cv ];size:[:n|n size * 10].
	ds y: #numberOfActivities.
	ds points: p process.
	b add: ds.

	
	b shape rectangle color: Color veryLightGray.
	b interaction highlightColored: Color red.

	b interaction popup
		named: [ :c | c name , ' methods' ]
		background: Color veryVeryLightGray
		group: [ :group :pro | 
			| s ms |
			"do visualization using simple diagram"
			s := RTBox new
				size: #calculateCFC;
				color: Color blue.
			ms := pro model allActivities.
			group addAll: (s elementsOn: ms).
			RTGridLayout on: group ].

	b build.
	
	"add the legend"
	lb := A4BPRTLegendBuilder new view: view.
	lb addText: 'y: Number of Activities'.
	lb addText: 'circle size: element size'.
	lb build! !

!A4BPVCSOAProcessCharter01 methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 11:22'!
name
	^ 'Multiple view example 01'! !

A4BPVCSOAContext subclass: #A4BPVCSOAProcessCharter02
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

!A4BPVCSOAProcessCharter02 methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcamop 6/5/2015 09:34'!
executeVisualization: view
	| b cv ds lb|
	b := RTGrapher new.
	b view:view.
	cv := A4BPUIBVFactory colorVisitor.
	b extent: 400 @ 400.

	"do visualization"	
	self addInspect: b.
	
	"Data set 1"
	ds := RTStackedDataSet new.
	ds interaction popup.
	ds dotShape circle color: [:n | n accept:cv ];size:[:n|n size * 10].
	ds y: #numberOfActivities.
	ds points: bpObj process.
	b add: ds.
	"add the legend"
	lb := A4BPRTLegendBuilder new view: view.
	lb addText: 'y: Number of Activities'.
	lb addText: 'circle size: element size'.
	lb build.
	b build.! !

!A4BPVCSOAProcessCharter02 methodsFor: 'visualization' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 11:22'!
name
	^ 'Multiple view example 02'! !

Object subclass: #BPUIMetricClassType
	instanceVariableNames: 'classType elements'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI-metric'!

!BPUIMetricClassType class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 15:40'!
build: aClass
	|ct|
	ct := self new.
	ct classType:aClass.
	^ ct
 ! !

!BPUIMetricClassType methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 15:35'!
classType
	^ classType! !

!BPUIMetricClassType methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 15:35'!
classType: anObject
	classType := anObject! !

!BPUIMetricClassType methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 15:34'!
elements
	^ elements! !

!BPUIMetricClassType methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 15:34'!
elements: anObject
	elements := anObject! !

!BPUIMetricClassType methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 15:34'!
initialize
	super initialize.
	elements := OrderedCollection new.! !

!BPUIMetricClassType methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 15:36'!
key
	^ classType! !

!BPUIMetricClassType methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcamop 5/21/2015 01:35'!
name
	^ classType name , ':#' , elements size asString ! !

!BPUIMetricClassType methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 15:42'!
new
	^ classType new! !

Object subclass: #BPUIMetricFindMetricMessageNames
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI-metric'!

!BPUIMetricFindMetricMessageNames class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcamop 5/21/2015 01:29'!
findMetrics: aClass
  ^ aClass allSelectors
		select: [ :k | 
			(k endsWith: ':') not and: [ 
				((k beginsWith: #number) 
				or: [ k beginsWith: #calculate ]) 
				or: [ k beginsWith: #metric ] 
				] 
			].! !

Object subclass: #BPUIMetricMessageType
	instanceVariableNames: 'messageType val'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI-metric'!

!BPUIMetricMessageType class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcamop 5/21/2015 01:22'!
build: aMessage
	|ct|
	ct := self new.
	ct messageType: aMessage.
	^ ct
 ! !

!BPUIMetricMessageType class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcamop 6/9/2015 14:01'!
build: aMessage model: aModel
	| ct |
	ct := self new.
	ct messageType: aMessage.
	[ ct val: (aModel perform: aMessage) ]
		on: Error
		do: [ ct val: -1 ].
	^ ct! !

!BPUIMetricMessageType methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcamop 6/9/2015 13:59'!
initialize
	super initialize.
	val := 0! !

!BPUIMetricMessageType methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcamop 5/21/2015 01:22'!
messageType
	^ messageType! !

!BPUIMetricMessageType methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcamop 5/21/2015 01:22'!
messageType: anObject
	messageType := anObject! !

!BPUIMetricMessageType methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcamop 6/9/2015 13:58'!
name
	^ messageType  name , ':' , val asString ! !

!BPUIMetricMessageType methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcamop 6/9/2015 13:58'!
val
	^ val! !

!BPUIMetricMessageType methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcamop 6/9/2015 13:59'!
val: anObject
	val := anObject! !

RTComposer subclass: #A4BPRTComposer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization-Roassal'!

!A4BPRTComposer methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/2/2015 17:48'!
view: aview
	view := aview.! !

RTLegendBuilder subclass: #A4BPRTLegendBuilder
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization-Roassal'!

!A4BPRTLegendBuilder methodsFor: 'add' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:00'!
addBaseMetamodelClass: aBaseClass
	| cv |
	cv := A4BPUIBVFactory colorVisitor.
	aBaseClass allSubclasses
		do: [ :class | 
			| ins |
			ins := class new.
			self addColor: (ins accept: cv) text: class name ]! !

!A4BPRTLegendBuilder methodsFor: 'override' stamp: 'AlvaroJosePeraltaOcampo 3/2/2015 17:49'!
addColor: aColor text: aText
	"Associate a color with a text"
	| g |
	g := RTGroup new.
	g add: (RTBox new size: 10; color: aColor) element.
	g add: (RTLabel elementOn: aText).
	RTHorizontalLineLayout new alignCenter; on: g.
	group add: g.! !

!A4BPRTLegendBuilder methodsFor: 'add' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:05'!
addMetamodel: aModel
	| cv |
	cv := A4BPUIBVFactory colorVisitor.
	aModel metaModelBaseClass allSubclasses
		do: [ :class | 
			| ins |
			ins := class new.
			self addColor: (ins accept: cv) text: class name ]! !

!A4BPRTLegendBuilder methodsFor: 'override' stamp: 'AlvaroJosePeraltaOcampo 3/2/2015 17:49'!
renderIn: aView
	RTGridLayout on: group.
	legendElement := (RTBox new
		borderColor: Color lightGray;
		fillColor: Color white) element.
	RTNest new on: legendElement nest: group.
	TRConstraint move: legendElement below: (RTGroup withAll: aView elements).
	aView add: legendElement.
	group do: [ :g | aView addAll: g ].
	legendElement @ RTDraggable! !

A4BPAbstractVisitor subclass: #A4BPUIBPAbstractViewActionVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Action'!

!A4BPUIBPAbstractViewActionVisitor class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:20'!
annotation
<MSEClass: #A4BPUIBPAbstractViewActionVisitor  super: #A4BPAbstractVisitor >
<package: #'A4BP-View' >! !

!A4BPUIBPAbstractViewActionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 3/31/2015 13:57'!
actionBasicBrowser: aBPObject
	^ OrderedCollection new! !

!A4BPUIBPAbstractViewActionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 12:16'!
visitA4BPEmptyObj: aModel
	^ self visitA4BPObject: aModel ! !

!A4BPUIBPAbstractViewActionVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 12:16'!
visitA4BPObject: aModel
	| actions |
	actions := self actionBasicBrowser: aModel.
	^ actions! !

A4BPUIBPAbstractViewActionVisitor subclass: #A4BPUIGLMActionTreeBuilderVisitor
	instanceVariableNames: 'mainBrowser'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI-Rclick'!

A4BPUIGLMActionTreeBuilderVisitor class
	instanceVariableNames: 'instance'!

A4BPUIGLMActionTreeBuilderVisitor class
	instanceVariableNames: 'instance'!

!A4BPUIGLMActionTreeBuilderVisitor class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:20'!
annotation
<MSEClass: #A4BPUIGLMActionTreeBuilderVisitor  super: #A4BPUIBPAbstractViewActionVisitor >
<package: #'A4BP-View' >! !

!A4BPUIGLMActionTreeBuilderVisitor class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/31/2015 15:20'!
icon: aModel
	^ aModel accept: self new! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'private' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:44'!
actionBasicBrowser: aBPObject
	^ OrderedCollection new.
	! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'private' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:45'!
extendActions: actions In: aModel
	actions addAll: (aModel accept:self).! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 3/31/2015 15:17'!
mainBrowser
	^ mainBrowser! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 3/31/2015 15:17'!
mainBrowser: anObject
	mainBrowser := anObject! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorA4BP' stamp: 'AlvaroJosePeraltaOcamop 5/21/2015 01:09'!
visitA4BPSOAContext: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorA4BP' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 08:36'!
visitA4BPUnParserObj: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:50'!
visitBPActivity: aModel
	^ self visitBPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:50'!
visitBPCatch: aModel
	^ self visitBPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:49'!
visitBPCatchAll: aModel
	^ self visitBPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:50'!
visitBPFaultHandlers: aModel
	^ self visitBPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:50'!
visitBPInvoke: aModel
	^ self visitBPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:08'!
visitBPMN20BoundaryEventImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:08'!
visitBPMN20CatchEventImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:08'!
visitBPMN20DataObjectImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/9/2014 09:20'!
visitBPMN20DataStoreReferenceImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:08'!
visitBPMN20DefinitionsImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 21:18'!
visitBPMN20DocumentationImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:09'!
visitBPMN20EndEventImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 17:40'!
visitBPMN20ExclusiveGatewayImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:09'!
visitBPMN20ImplicitThrowEventImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 17:20'!
visitBPMN20InclusiveGatewayImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/5/2015 20:16'!
visitBPMN20IncomingImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:09'!
visitBPMN20IntermediateCatchEventImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:10'!
visitBPMN20IntermediateThrowEventImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 16:15'!
visitBPMN20LaneImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 16:16'!
visitBPMN20LaneSetImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/5/2015 20:16'!
visitBPMN20OutgoingImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 17:01'!
visitBPMN20ParallelGatewayImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 16:16'!
visitBPMN20ProcessImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:10'!
visitBPMN20SequenceFlowImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:11'!
visitBPMN20StartEventImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 15:18'!
visitBPMN20TaskImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:11'!
visitBPMN20ThrowEventImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:49'!
visitBPObject: aModel
	| actions |
	actions := self actionBasicBrowser: aModel.
	^ actions! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:50'!
visitBPPartnerLink: aModel
	^ self visitBPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:49'!
visitBPPartnerLinks: aModel
	^ self visitBPObject: aModel! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:39'!
visitBPProcess: aModel
	|actions|
	actions:= self actionBasicBrowser:aModel.
	^ actions.! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:50'!
visitBPScope: aModel
	| actions |
	actions := self actionBasicBrowser: aModel.
	^ actions! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:50'!
visitBPSequence: aModel
	| actions |
	actions := self actionBasicBrowser: aModel.
	^ actions! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:49'!
visitBPVariable: aModel
	| actions |
	actions := self actionBasicBrowser: aModel.
	^ actions! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:50'!
visitBPVariables: aModel
	| actions |
	actions := self actionBasicBrowser: aModel.
	^ actions! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:49'!
visitBPWSDLwsdl: aModel
	| actions |
	actions := self actionBasicBrowser: aModel.
	^ actions! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitor-XSD' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:50'!
visitBPXSDComplexType: aModel
	|actions|
	actions:= self actionBasicBrowser:aModel.
	^ actions.! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitor-XSD' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:50'!
visitBPXSDSchema: aModel
	|actions|
	actions:= self actionBasicBrowser:aModel.
	^ actions.! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitor-XSD' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:50'!
visitBPXSDSimpleType: aModel
	|actions|
	actions:= self actionBasicBrowser:aModel.
	^ actions.! !

!A4BPUIGLMActionTreeBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:49'!
visitSOAAnalyzer: aModel
	|actions|
	actions:= self actionBasicBrowser:aModel.
	^ actions. ! !

A4BPUIGLMActionTreeBuilderVisitor subclass: #A4BPUIGLMBasicRClick
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI-Rclick'!

!A4BPUIGLMBasicRClick class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:20'!
annotation
<MSEClass: #A4BPUIGLMBasicRClick  super: #A4BPUIGLMActionTreeBuilderVisitor >
<package: #'A4BP-View' >! !

!A4BPUIGLMBasicRClick methodsFor: 'model-a4bp' stamp: 'AlvaroJosePeraltaOcampo 9/2/2015 00:19'!
actionBasicBrowser: aModel
	|actions act|
	actions:= OrderedCollection new.

	"Roassal2 Easel"
	act:=GLMGenericAction new 
	action:[ A4BPGLMRoassal2Easel openOn:{#model->aModel}];
	"Display Browser in several language"
	category:A4BPUII18n msg msgBrowser;
	title:A4BPUII18n msg msgInRoassal2Easel.
	actions add:act.
	
	"Inspect Element"
	act:=GLMGenericAction new 
	action:[aModel inspect];
	"category:'Inspect';"
	title:A4BPUII18n msg msgInspect.
	actions add:act.

	"Browse Class Object"
	act:=GLMGenericAction new 
	action:[aModel browse];
	"category:'Inspect';"
	title:A4BPUII18n msg msgSource.
	actions add:act.
	

	^ actions.
	! !

!A4BPUIGLMBasicRClick methodsFor: 'model-a4bp' stamp: 'AlvaroJosePeraltaOcamop 5/21/2015 01:07'!
visitA4BPSOAContext: aModel
	| actions |
	actions := self actionBasicBrowser: aModel.	
	^ actions! !

A4BPUIGLMActionTreeBuilderVisitor subclass: #A4BPUIGLMRClick
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI-Rclick'!

!A4BPUIGLMRClick class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:20'!
annotation
<MSEClass: #A4BPUIGLMRClick  super: #A4BPUIGLMActionTreeBuilderVisitor >
<package: #'A4BP-View' >! !

!A4BPUIGLMRClick class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
icon: aModel
	^ aModel accept: self new! !

!A4BPUIGLMRClick methodsFor: 'private' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:56'!
actionBasicBrowser: aBPObject
	|actions|
	actions := OrderedCollection new.
	A4BPUIGLMActionTreeBuilderVisitor subclasses do: [ :c | 
		|rclick|
		c = self class ifFalse:[
			rclick := c new.
			rclick mainBrowser: mainBrowser.
			rclick extendActions: actions In: aBPObject ]
		].
	^ actions! !

!A4BPUIGLMRClick methodsFor: 'visitorA4BP' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:58'!
visitA4BPSOAContext: aModel
	^ self visitBPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorA4BP' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitA4BPUnParserObj: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPActivity: aModel
	^ self visitBPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPCatch: aModel
	^ self visitBPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPCatchAll: aModel
	^ self visitBPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPFaultHandlers: aModel
	^ self visitBPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPInvoke: aModel
	^ self visitBPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20BoundaryEventImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20CatchEventImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20DataObjectImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20DataStoreReferenceImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20DefinitionsImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20DocumentationImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20EndEventImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20ExclusiveGatewayImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20ImplicitThrowEventImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20InclusiveGatewayImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20IncomingImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20IntermediateCatchEventImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20IntermediateThrowEventImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20LaneImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20LaneSetImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20OutgoingImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20ParallelGatewayImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20ProcessImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20SequenceFlowImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20StartEventImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20TaskImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPMN20ThrowEventImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPObject: aModel
	| actions |
	actions := self actionBasicBrowser: aModel.
	^ actions! !

!A4BPUIGLMRClick methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPPartnerLink: aModel
	^ self visitBPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPPartnerLinks: aModel
	^ self visitBPObject: aModel! !

!A4BPUIGLMRClick methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPProcess: aModel
	|actions|
	actions:= self actionBasicBrowser:aModel.
	^ actions.! !

!A4BPUIGLMRClick methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPScope: aModel
	| actions |
	actions := self actionBasicBrowser: aModel.
	^ actions! !

!A4BPUIGLMRClick methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPSequence: aModel
	| actions |
	actions := self actionBasicBrowser: aModel.
	^ actions! !

!A4BPUIGLMRClick methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPVariable: aModel
	| actions |
	actions := self actionBasicBrowser: aModel.
	^ actions! !

!A4BPUIGLMRClick methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPVariables: aModel
	| actions |
	actions := self actionBasicBrowser: aModel.
	^ actions! !

!A4BPUIGLMRClick methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPWSDLwsdl: aModel
	| actions |
	actions := self actionBasicBrowser: aModel.
	^ actions! !

!A4BPUIGLMRClick methodsFor: 'visitor-XSD' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPXSDComplexType: aModel
	|actions|
	actions:= self actionBasicBrowser:aModel.
	^ actions.! !

!A4BPUIGLMRClick methodsFor: 'visitor-XSD' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPXSDSchema: aModel
	|actions|
	actions:= self actionBasicBrowser:aModel.
	^ actions.! !

!A4BPUIGLMRClick methodsFor: 'visitor-XSD' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitBPXSDSimpleType: aModel
	|actions|
	actions:= self actionBasicBrowser:aModel.
	^ actions.! !

!A4BPUIGLMRClick methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:51'!
visitSOAAnalyzer: aModel
	|actions|
	actions:= self actionBasicBrowser:aModel.
	^ actions. ! !

A4BPUIBPAbstractViewActionVisitor subclass: #A4BPUIMetricVisualizationActionlstNodesBaseOfClass
	instanceVariableNames: 'rootObj nodes'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Action'!

!A4BPUIMetricVisualizationActionlstNodesBaseOfClass class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:20'!
annotation
<MSEClass: #A4BPUIMetricVisualizationActionlstNodesBaseOfClass  super: #A4BPUIBPAbstractViewActionVisitor >
<package: #'A4BP-View' >! !

!A4BPUIMetricVisualizationActionlstNodesBaseOfClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:50'!
initialize
	super initialize.
	nodes := OrderedCollection new! !

!A4BPUIMetricVisualizationActionlstNodesBaseOfClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:50'!
nodes
	^ nodes! !

!A4BPUIMetricVisualizationActionlstNodesBaseOfClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:50'!
rootObj: arootObj
	rootObj := arootObj! !

!A4BPUIMetricVisualizationActionlstNodesBaseOfClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:50'!
visitBPProcess: aBPProcess
	nodes := rootObj lstBPProcess.
	^ nodes! !

!A4BPUIMetricVisualizationActionlstNodesBaseOfClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:50'!
visitBPSequence: aBPSequence
	nodes := rootObj lstActivities.
	^ nodes! !

A4BPAbstractVisitor subclass: #A4BPUIBPAbstractViewBuilderVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI-Builder'!

!A4BPUIBPAbstractViewBuilderVisitor class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:20'!
annotation
<MSEClass: #A4BPUIBPAbstractViewBuilderVisitor  super: #A4BPAbstractVisitor >
<package: #'A4BP-View' >! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 12:13'!
visitA4BPEmptyObj: aModel
	"do nothing"
	^ ''! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 15:11'!
visitA4BPObject: aModel
	"do nothing"
	^ ''! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 18:35'!
visitA4BPUnParserObj: aModel 
	^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ActivityImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20AdHocSubProcessImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ArtifactImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20AssignmentImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20AssociationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20AuditingImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20BPMNDiagramImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20BPMNEdgeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20BPMNLabelImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20BPMNLabelStyleImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20BPMNPlaneImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20BPMNShapeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20BaseElementImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20BoundaryEventImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20Bpmn2FactoryImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20Bpmn2PackageImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20BpmnDiFactoryImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20BpmnDiPackageImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20BusinessRuleTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20CallActivityImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20CallChoreographyImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20CallConversationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20CallableElementImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20CancelEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20CatchEventImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20CategoryImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20CategoryValueImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ChoreographyActivityImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ChoreographyImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ChoreographyTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20CollaborationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20CompensateEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ComplexBehaviorDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ComplexGatewayImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ConditionalEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ConversationAssociationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ConversationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ConversationLinkImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ConversationNodeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20CorrelationKeyImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20CorrelationPropertyBindingImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20CorrelationPropertyImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20CorrelationPropertyRetrievalExpressionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20CorrelationSubscriptionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20DataAssociationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20DataInputAssociationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20DataInputImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20DataObjectImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20DataObjectReferenceImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20DataOutputAssociationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20DataOutputImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20DataStateImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20DataStoreImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20DataStoreReferenceImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20DefinitionsImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20DiFactoryImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20DiPackageImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20DiagramElementImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20DiagramImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20DocumentRootImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20DocumentationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20EdgeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20EndEventImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20EndPointImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ErrorEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ErrorImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20EscalationEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20EscalationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20EventBasedGatewayImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20EventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20EventImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ExclusiveGatewayImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ExpressionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ExtensionAttributeDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ExtensionAttributeValueImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ExtensionDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ExtensionElementsImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ExtensionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20FlowElementImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20FlowElementsContainerImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20FlowNodeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20FontImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20FormalExpressionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20GatewayImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20GlobalBusinessRuleTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20GlobalChoreographyTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20GlobalConversationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20GlobalManualTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20GlobalScriptTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20GlobalTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20GlobalUserTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20GroupImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20HumanPerformerImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ImplicitThrowEventImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ImportImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20InclusiveGatewayImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20IncomingImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20InputOutputBindingImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20InputOutputSpecificationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20InputSetImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20InteractionNodeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20InterfaceImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20IntermediateCatchEventImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20IntermediateThrowEventImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ItemAwareElementImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ItemDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20LabelImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20LabeledEdgeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20LabeledShapeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20LaneImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20LaneSetImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20LinkEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20LoopCharacteristicsImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ManualTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20MessageEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20MessageFlowAssociationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20MessageFlowImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20MessageImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20MonitoringImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20MultiInstanceLoopCharacteristicsImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20NodeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20OperationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20OutgoingImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20OutputSetImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ParallelGatewayImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ParticipantAssociationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ParticipantImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ParticipantMultiplicityImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20PartnerEntityImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20PartnerRoleImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20PerformerImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20PlaneImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20PointImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20PotentialOwnerImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ProcessImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20PropertyImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ReceiveTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20RefToBeBuild: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20RelationshipImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20RenderingImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ResourceAssignmentExpressionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ResourceImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ResourceParameterBindingImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ResourceParameterImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ResourceRoleImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20RootElementImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ScriptTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20SendTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20SequenceFlowImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ServiceTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ShapeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20SignalEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20SignalImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20SourceRefImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20StandardLoopCharacteristicsImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20StartEventImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20StyleImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20SubChoreographyImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20SubConversationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20SubProcessImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20TargetRefImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20TaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20TerminateEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20TextAnnotationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20ThrowEventImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20TimerEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:16'!
visitBPMN20TransactionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPAbstractViewBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 1/11/2016 01:02'!
visitBPMN20UserTaskImpl: aModel
	^ self visitA4BPObject: aModel! !

A4BPUIBPAbstractViewBuilderVisitor subclass: #A4BPUIBPModelColorBuilderVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI-Builder'!

A4BPUIBPModelColorBuilderVisitor class
	instanceVariableNames: 'instance'!

A4BPUIBPModelColorBuilderVisitor class
	instanceVariableNames: 'instance'!

!A4BPUIBPModelColorBuilderVisitor class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:20'!
annotation
<MSEClass: #A4BPUIBPModelColorBuilderVisitor  super: #A4BPUIBPAbstractViewBuilderVisitor >
<package: #'A4BP-View' >! !

!A4BPUIBPModelColorBuilderVisitor class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
icon: aModel
	^ aModel accept: self instance! !

!A4BPUIBPModelColorBuilderVisitor class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
instance
	^ instance ifNil: [ instance := self new ]! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor-A4BP' stamp: 'AlvaroJosePeraltaOcamop 5/25/2015 14:32'!
visitA4BPEmptyObj: aModel
	^ Color lightGray alpha:0.2! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 18:17'!
visitA4BPObject: aModel
	^ Color lightGray! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 18:40'!
visitA4BPUnParserObj: aModel
	^ Color red! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitBPActivity: aModel
	^ self visitBPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitBPAssign: aModel
	^ Color orange ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitBPCatch: aModel
	^ Color red ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitBPCatchAll: aModel
	^ Color red! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitBPFaultHandlers: aModel
	^ Color red alpha:0.5 ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitBPFlow: aModel
	^ Color lightGray  ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitBPInvoke: aModel
	^ Color purple  ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/19/2015 12:51'!
visitBPMN20ActivityImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20AdHocSubProcessImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ArtifactImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20AssignmentImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20AssociationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20AuditingImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20BPMNDiagramImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20BPMNEdgeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20BPMNLabelImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20BPMNLabelStyleImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20BPMNPlaneImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20BPMNShapeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20BaseElementImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20BoundaryEventImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20Bpmn2FactoryImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20Bpmn2PackageImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20BpmnDiFactoryImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20BpmnDiPackageImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:40'!
visitBPMN20BusinessRuleTaskImpl: aModel
	^ self visitBPMN20TaskImpl: aModel ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20CallActivityImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20CallChoreographyImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20CallConversationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20CallableElementImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20CancelEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20CatchEventImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20CategoryImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20CategoryValueImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ChoreographyActivityImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ChoreographyImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ChoreographyTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20CollaborationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20CompensateEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ComplexBehaviorDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ComplexGatewayImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ConditionalEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ConversationAssociationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ConversationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ConversationLinkImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ConversationNodeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20CorrelationKeyImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20CorrelationPropertyBindingImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20CorrelationPropertyImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20CorrelationPropertyRetrievalExpressionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20CorrelationSubscriptionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20DataAssociationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20DataInputAssociationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20DataInputImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20DataObjectImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20DataObjectReferenceImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20DataOutputAssociationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20DataOutputImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20DataStateImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20DataStoreImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20DataStoreReferenceImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 11:10'!
visitBPMN20DefinitionsImpl: aModel
	^ Color blue alpha:0.9! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20DiFactoryImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20DiPackageImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20DiagramElementImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20DiagramImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20DocumentRootImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20DocumentationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20EdgeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/23/2015 09:28'!
visitBPMN20EndEventImpl: aModel
	^ (Color r: 0.988 g: 0.306 b: 0.164 alpha: 1.0)! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20EndPointImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ErrorEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ErrorImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20EscalationEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20EscalationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20EventBasedGatewayImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20EventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20EventImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ExclusiveGatewayImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ExpressionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ExtensionAttributeDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ExtensionAttributeValueImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ExtensionDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ExtensionElementsImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ExtensionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20FlowElementImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20FlowElementsContainerImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20FlowNodeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 6/12/2015 01:07'!
visitBPMN20FlowNodeRefImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 6/12/2015 01:07'!
visitBPMN20FontImpl: aModel
	^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20FormalExpressionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20GatewayImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20GlobalBusinessRuleTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20GlobalChoreographyTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20GlobalConversationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20GlobalManualTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20GlobalScriptTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20GlobalTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20GlobalUserTaskImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20GroupImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20HumanPerformerImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ImplicitThrowEventImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ImportImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20InclusiveGatewayImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20IncomingImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20InputOutputBindingImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20InputOutputSpecificationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20InputSetImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20InteractionNodeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20InterfaceImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/19/2015 12:54'!
visitBPMN20IntermediateCatchEventImpl: aModel
	^ (Color r: 0.875 g: 0.761 b: 0.49 alpha: 1.0)! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/19/2015 12:55'!
visitBPMN20IntermediateThrowEventImpl: aModel
	^ (Color r: 0.875 g: 0.761 b: 0.49 alpha: 1.0)! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ItemAwareElementImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ItemDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20LabelImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20LabeledEdgeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20LabeledShapeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/23/2015 09:55'!
visitBPMN20LaneImpl: aModel
	^ (Color r: 0.9410000000000001 g: 0.9410000000000001 b: 0.9410000000000001 alpha: 0.5)! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20LaneSetImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20LinkEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20LoopCharacteristicsImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:40'!
visitBPMN20ManualTaskImpl: aModel
	^ self visitBPMN20TaskImpl: aModel ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20MessageEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20MessageFlowAssociationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20MessageFlowImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20MessageImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20MonitoringImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20MultiInstanceLoopCharacteristicsImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20NodeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20OperationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20OutgoingImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20OutputSetImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 14:25'!
visitBPMN20ParallelGatewayImpl: aModel
	^ (Color r: 1.0 g: 0.93 b: 0.628 alpha: 1.0)! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ParticipantAssociationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ParticipantImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ParticipantMultiplicityImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20PartnerEntityImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20PartnerRoleImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20PerformerImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20PlaneImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20PointImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20PotentialOwnerImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 12:03'!
visitBPMN20ProcessImpl: aModel
	^ (Color r: 0.926 g: 0.439 b: 0.078 alpha: 1.0) ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20PropertyImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:40'!
visitBPMN20ReceiveTaskImpl: aModel
	^ self visitBPMN20TaskImpl: aModel ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20RefToBeBuild: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20RelationshipImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20RenderingImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ResourceAssignmentExpressionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 12:04'!
visitBPMN20ResourceImpl: aModel
	^ (Color r: 0.678 g: 0.867 b: 0.557 alpha: 1.0)! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ResourceParameterBindingImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ResourceParameterImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ResourceRoleImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20RootElementImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:41'!
visitBPMN20ScriptTaskImpl: aModel
	^ self visitBPMN20TaskImpl: aModel ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:41'!
visitBPMN20SendTaskImpl: aModel
	^ self visitBPMN20TaskImpl: aModel ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/15/2015 10:22'!
visitBPMN20SequenceFlowImpl: aModel
	^ (Color r: 0.404 g: 0.0 b: 0.121 alpha: 1.0)! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:41'!
visitBPMN20ServiceTaskImpl: aModel
	^ self visitBPMN20TaskImpl: aModel ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ShapeImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20SignalEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20SignalImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20SourceRefImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20StandardLoopCharacteristicsImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/23/2015 09:25'!
visitBPMN20StartEventImpl: aModel
	^ (Color r: 0.8 g: 0.922 b: 0.772 alpha: 1.0)! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20StyleImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20SubChoreographyImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20SubConversationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20SubProcessImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20TargetRefImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/23/2015 09:21'!
visitBPMN20TaskImpl: aModel
	^ (Color r: 0.749 g: 0.8270000000000001 b: 0.902 alpha: 1.0)! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20TerminateEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20TextAnnotationImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20ThrowEventImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20TimerEventDefinitionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:15'!
visitBPMN20TransactionImpl: aModel
			^ self visitA4BPObject: aModel! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:41'!
visitBPMN20UserTaskImpl: aModel
	^ self visitBPMN20TaskImpl: aModel ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitBPObject: aModel
	^ Color black ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitBPPartnerLink: aBPPartnerLink
	^ Color blue ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitBPPartnerLinks: aBPPartnerLinks
	^ Color blue ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitBPPick: aBPPick
	^ Color orange! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 11:08'!
visitBPProcess: aModel
	^ Color blue alpha:0.5! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitBPReceive: aModel
	^ Color blue ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitBPScope: aModel
	^ Color grayScale256: 100 ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitBPSequence: aBPSequence
	^ Color blue ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitBPVariable: aBPVariable
	^ Color green ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitBPVariables: aBPVariables
	^ Color blue ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitBPWSDLwsdl: aModel
		^ Color yellow  ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor-XSD' stamp: 'AlvaroJosePeraltaOcamop 6/3/2015 00:41'!
visitBPXSDElement: aModel
	^ Color lightBrown alpha:0.2! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitSOAAnalyzer: aModel
	^ Color blue ! !

!A4BPUIBPModelColorBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitSOAContext: aSOAContext
	^ Color blue! !

A4BPUIBPAbstractViewBuilderVisitor subclass: #A4BPUIBPModelIconBuilderVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI-Builder'!

A4BPUIBPModelIconBuilderVisitor class
	instanceVariableNames: 'instance'!

A4BPUIBPModelIconBuilderVisitor class
	instanceVariableNames: 'instance'!

!A4BPUIBPModelIconBuilderVisitor class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:20'!
annotation
<MSEClass: #A4BPUIBPModelIconBuilderVisitor  super: #A4BPUIBPAbstractViewBuilderVisitor >
<package: #'A4BP-View' >! !

!A4BPUIBPModelIconBuilderVisitor class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/4/2015 09:22'!
icon: aModel
	aModel ifNotNil: [ ^ aModel accept: self instance ].
	^ A4BPEmptyObj instance accept: self instance! !

!A4BPUIBPModelIconBuilderVisitor class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
instance
	^ instance ifNil: [ instance := self new ]! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'icons' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:55'!
icons
	^ A4BPUIIcons! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorA4BP' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 15:20'!
visitA4BPSOAContext: aSOAContext
	^ self icons iconModelSOAContext! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:55'!
visitBPAssign: aModel
	^ self icons iconModelBPAssing! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:55'!
visitBPCatch: aModel
	^ self icons iconModelBPCatch! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:55'!
visitBPCatchAll: aModel
	^ self icons iconModelBPCatchAll! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:55'!
visitBPCopy: aModel
	^ self icons iconModelBPCopy! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:55'!
visitBPFaultHandlers: aModel
	^ self icons iconModelBPCatchAll ! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:55'!
visitBPForEach: aModel
	^ self icons iconModelBPForEach! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:55'!
visitBPFrom: aModel
	^ self icons iconModelBPFrom! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:55'!
visitBPInvoke: aModel
	^ self icons iconModelBPInvoke! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 22:18'!
visitBPMN20DataObjectImpl: aModel
	^ self icons iconDataObject ! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 22:21'!
visitBPMN20DataStoreImpl: aModel
	^ self icons iconDataStore! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/9/2014 09:15'!
visitBPMN20DataStoreReferenceImpl: aModel
	^ self icons iconBPMN20DataStoreReferenceImpl! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcamop 6/5/2015 10:51'!
visitBPMN20DefinitionsImpl: aModel
	^ self icons iconBPMN20Definitions! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 21:19'!
visitBPMN20DocumentationImpl: aModel
	^ self icons iconDocument ! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:18'!
visitBPMN20EndEventImpl: aModel
	^ self icons iconBPMN20EndEvent ! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 22:45'!
visitBPMN20EventImpl: aModel
	^ self icons iconEvent ! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 17:42'!
visitBPMN20ExclusiveGatewayImpl: aModel
	^ self icons iconBPMN20ExclusiveGateway! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 10:41'!
visitBPMN20ExtensionElementsImpl: aModel
	^ self icons iconDataObject ! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 17:19'!
visitBPMN20InclusiveGatewayImpl: aModel
	^ self icons iconBPMN20InclusiveGateway! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 22:51'!
visitBPMN20IntermediateCatchEventImpl: aModel
	^ self visitBPMN20EventImpl: aModel! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 22:10'!
visitBPMN20LaneImpl: aModel
	^ self icons iconLane! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 22:10'!
visitBPMN20LaneSetImpl: aModel
	^ self icons iconLaneSet! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 17:18'!
visitBPMN20ParallelGatewayImpl: aModel
	^ self icons iconBPMN20ParallelGateway! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcamop 6/8/2015 09:52'!
visitBPMN20ProcessImpl: aModel
	^ self icons iconModelBPMN20Process! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/4/2015 09:34'!
visitBPMN20ResourceImpl: aModel
	^ self icons iconBPMN20Resources! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 22:56'!
visitBPMN20SequenceFlowImpl: aModel
	^ self icons iconSequenceFlow! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:27'!
visitBPMN20StartEventImpl: aModel
	^ self icons iconBPMN20StartEvent! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPMN20' stamp: 'AlvaroJosePeraltaOcampo 12/8/2014 23:00'!
visitBPMN20TaskImpl: aModel
	^ self icons iconBPMN20Activity! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:55'!
visitBPPartnerLink: aBPPartnerLink
	^ self icons iconModelBPPartnerLink! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:40'!
visitBPPartnerLinks: aBPPartnerLinks
	^ BPUIIcons iconModelBPPartnerLink! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:55'!
visitBPProcess: aModel
	^ self icons iconModelBPProcess! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:55'!
visitBPReceive: aModel
	^ self icons iconModelBPReceive ! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:56'!
visitBPRel: aModel
	^ self icons iconModelBPRelations! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:56'!
visitBPReply: aModel
	^ self icons iconModelBPReply ! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:56'!
visitBPScope: aModel
	^ self icons iconModelBPScope! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:56'!
visitBPSequence: aBPSequence
	^ self icons iconModelBPSequence! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:56'!
visitBPTo: aModel
	^ self icons iconModelBPTo! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:56'!
visitBPVariable: aBPVariable
	^ self icons iconModelBPVariable! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:56'!
visitBPVariables: aBPVariables
	^ self icons iconModelBPVariable! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:56'!
visitBPWSDLwsdl: aModel
	^ self icons iconModelBPWSDLWsdl ! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:56'!
visitBPXSDSchema:  aModel
	^ self icons iconModelBPXSDSchema! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:56'!
visitSOAAnalyzer: aModel
	^ self icons iconModelBPELAnalyzer! !

!A4BPUIBPModelIconBuilderVisitor methodsFor: 'visitorBPELAnalyzer' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 15:19'!
visitSOAContext: aSOAContext
	^ self icons iconModelSOAContext! !

A4BPUIBPAbstractViewBuilderVisitor subclass: #A4BPUIBPModelR2BuilderVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI-Builder'!

A4BPUIBPModelR2BuilderVisitor class
	instanceVariableNames: 'instance'!

A4BPUIBPModelR2BuilderVisitor class
	instanceVariableNames: 'instance'!

!A4BPUIBPModelR2BuilderVisitor class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:20'!
annotation
<MSEClass: #A4BPUIBPModelR2BuilderVisitor  super: #A4BPUIBPAbstractViewBuilderVisitor >
<package: #'A4BP-View' >! !

!A4BPUIBPModelR2BuilderVisitor class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
icon: aModel
	^ aModel accept: self instance! !

!A4BPUIBPModelR2BuilderVisitor class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
instance
	^ instance ifNil: [ instance := self new ]! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'shape' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
elementOn: aModel
	^ RTElement new
		model: aModel;
		addShape: (aModel accept: self);
		yourself! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPActivity: aModel
	^ RTEllipse new! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPAssign: aModel
	^ RTPolygon new.! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPCatch: aModel
	^ RTPolygon new.! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPCatchAll: aModel
	^ RTPolygon new.! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPFaultHandlers: aModel
	^ RTPolygon new.! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPFlow: aModel
	^ RTPolygon new.! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPInvoke: aModel
	^ RTPolygon new. ! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPObject: aModel
	^ RTPolygon new. ! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPPartnerLink: aBPPartnerLink
	^ RTPolygon new.! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPPartnerLinks: aBPPartnerLinks
	^ RTPolygon new.! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPPick: aBPPick
	^ RTPolygon new.! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPProcess: aModel
	^ RTPolygon new.! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPReceive: aModel
	^ RTPolygon new.! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPScope: aModel
	^ RTPolygon new.! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPSequence: aBPSequence
	^ RTPolygon new.! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPVariable: aBPVariable
	^ RTPolygon new.! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPVariables: aBPVariables
	^ RTPolygon new.! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPWSDLwsdl: aModel
	^ RTPolygon new! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitSOAAnalyzer: aModel
	^ RTPolygon new.! !

!A4BPUIBPModelR2BuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitSOAContext: aSOAContext
	^ RTPolygon new.! !

A4BPUIBPAbstractViewBuilderVisitor subclass: #A4BPUIBPModelRTBitmapBuilderVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI-Builder'!

A4BPUIBPModelRTBitmapBuilderVisitor class
	instanceVariableNames: 'instance'!

A4BPUIBPModelRTBitmapBuilderVisitor class
	instanceVariableNames: 'instance'!

!A4BPUIBPModelRTBitmapBuilderVisitor class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:20'!
annotation
<MSEClass: #A4BPUIBPModelRTBitmapBuilderVisitor  super: #A4BPUIBPAbstractViewBuilderVisitor >
<package: #'A4BP-View' >! !

!A4BPUIBPModelRTBitmapBuilderVisitor class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
icon: aModel
	^ aModel accept: self instance! !

!A4BPUIBPModelRTBitmapBuilderVisitor class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
instance
	^ instance ifNil: [ instance := self new ]! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPActivity: aModel
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPAssign: aModel
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPCatch: aModel
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPCatchAll: aModel
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPFaultHandlers: aModel
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPFlow: aModel
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPInvoke: aModel
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPObject: aModel
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPPartnerLink: aBPPartnerLink
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPPartnerLinks: aBPPartnerLinks
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPPick: aBPPick
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPProcess: aModel
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPReceive: aModel
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPScope: aModel
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPSequence: aBPSequence
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPVariable: aBPVariable
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPVariables: aBPVariables
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitBPWSDLwsdl: aModel
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitSOAAnalyzer: aModel
	^ RTBitmap new.! !

!A4BPUIBPModelRTBitmapBuilderVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 14:41'!
visitSOAContext: aSOAContext
	^ RTBitmap new.! !

A4BPAbstractVisitor subclass: #A4BPVCBuilder
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-Visualization'!

!A4BPVCBuilder class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:20'!
annotation
<MSEClass: #A4BPVCBuilder  super: #A4BPAbstractVisitor >
<package: #'A4BP-View' >! !

!A4BPVCBuilder methodsFor: 'visit' stamp: 'AlvaroJosePeraltaOcampo 3/19/2015 12:24'!
setVisualizationForAllModel: visualizations inModel: aModel
	"call for all visitmetod to add the visualization that can execute all objects in the model"

	| bpvc |
	bpvc := A4BPVCBasicRelations new.
	bpvc bpObj: aModel.
	visualizations add: bpvc.
	^ visualizations! !

!A4BPVCBuilder methodsFor: 'visit' stamp: 'AlvaroJosePeraltaOcamop 6/2/2015 23:43'!
visitA4BPObject: aModel
	| visualizations |
	visualizations := OrderedCollection new.
	^ visualizations! !

!A4BPVCBuilder methodsFor: 'visit' stamp: 'AlvaroJosePeraltaOcampo 12/9/2014 09:48'!
visitA4BPSOAContext: aModel
	| visualizations bpvc |
	visualizations := OrderedCollection new.

	A4BPVCSOAContext subclasses do: [ :c | 
		bpvc:= c new.
		bpvc visible ifTrue:[
			bpvc bpObj: aModel.
			visualizations add: bpvc.]
		].
	^ visualizations! !

!A4BPVCBuilder methodsFor: 'visit' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 15:07'!
visitBPObject: aBPObject
	| visualizations |
	visualizations := OrderedCollection new.
	^ visualizations! !

!A4BPVCBuilder methodsFor: 'visit' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 16:51'!
visitSOAAnalyzer: aModel
	^ self visitBPObject: aModel! !

A4BPAbstractVisitor subclass: #BPUIMetricVizActionInClass
	instanceVariableNames: 'rootObj nodes'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-View-UI-metric'!

!BPUIMetricVizActionInClass class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:20'!
annotation
<MSEClass: #BPUIMetricVizActionInClass  super: #A4BPAbstractVisitor >
<package: #'A4BP-View' >! !

!BPUIMetricVizActionInClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/21/2015 11:47'!
initialize
	super initialize.
	nodes := OrderedCollection new! !

!BPUIMetricVizActionInClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/21/2015 11:48'!
nodes
	^ nodes! !

!BPUIMetricVizActionInClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/21/2015 11:48'!
rootObj: arootObj
	rootObj := arootObj! !

!BPUIMetricVizActionInClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 15:52'!
visitBPMN20DefinitionsImpl: aModel 
	nodes := rootObj process.
	^ nodes! !

!BPUIMetricVizActionInClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcamop 5/21/2015 01:41'!
visitBPMN20ProcessImpl: aModel 
	nodes := Array with: aModel.
	^ nodes! !

!BPUIMetricVizActionInClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/21/2015 11:51'!
visitBPProcess: aBPProcess
	nodes := rootObj process.
	^ nodes! !

!BPUIMetricVizActionInClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/21/2015 11:48'!
visitBPSequence: aBPSequence
	nodes := rootObj lstActivities.
	^ nodes! !

!BPUIMetricVizActionInClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 15:53'!
visitBPWSDLWsdl: aModel
	nodes := rootObj wsdls.
	^ nodes! !

!BPUIMetricVizActionInClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 15:47'!
visitBPXSDSchema: aSchema
	nodes := rootObj schemas.
	^ nodes! !
